<?php
include("../db/db.php");

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $account = $_POST['account'];
    $company_name = $_POST['company_name']; // Consistent naming
    $fromDate = $_POST['fromDate'];
    $toDate = $_POST['toDate'];

    // Convert dates to Y/m/d format
    $fromDate = date_create_from_format('d/m/Y', $fromDate)->format('Y/m/d');
    $toDate = date_create_from_format('d/m/Y', $toDate)->format('Y/m/d');

    // Query for total earnings
    $totals_sql = "SELECT 
        SUM(bookins.fare) AS total_earned
        FROM bookins 
        WHERE bookins.account = '$account' 
          AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
          AND bookins.status = 'completed'
          AND bookins.sub_company = '$company_name'
          AND bookins.payment_type = 'Account'";

    $totals_result = mysqli_query($con, $totals_sql);
    if ($totals_result) {
        $totals_data = mysqli_fetch_assoc($totals_result);
    } else {
        $totals_data = ['total_earned' => 0]; // Fallback if query fails
    }

    // Query for job details
    $jobs_sql = "SELECT *
                 FROM bookins
                 WHERE bookins.account = '$account'
                   AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
                   AND bookins.status = 'completed'
                   AND bookins.sub_company = '$company_name'
                   AND bookins.payment_type = 'Account'";

    $jobs_result = mysqli_query($con, $jobs_sql);
    $dataArray = array(); // Initialize an empty array

    if ($jobs_result) {
        while ($data = mysqli_fetch_assoc($jobs_result)) {
            $row = array(
                'id' => $data['id'],
                'Name' => $data['name'],
                'Date' => $data['date'],
                'Time' => $data['time'],
                'Pick' => $data['pickup'],
                'Dropoff' => $data['dropoff'],
                'Fare' => $data['fare'],
                'Parking' => $data['Drv_Parking_Charges'],
                'wt' => $data['WT'],
            );
            $dataArray[] = $row;
        }
    }

    // Combine totals and job data in the response
    $response = array(
        'totals' => $totals_data,
        'jobs' => $dataArray
    );

    echo json_encode($response);
}
?>
