<?php
include("../db/db.php");

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $driver = $_POST['driver'];
    $fromDate = $_POST['fromDate'];
    $toDate = $_POST['toDate'];

    // Convert dates to Y/m/d format
    $fromDate = date_create_from_format('d/m/Y', $fromDate)->format('Y/m/d');
    $toDate = date_create_from_format('d/m/Y', $toDate)->format('Y/m/d');

$totals_sql = "SELECT 
    (SELECT COUNT(*) 
     FROM bookins 
     WHERE bookins.dispatch_DriverId = $driver 
       AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
       AND bookins.status = 'completed') AS total_jobs_completed,

    (SELECT COUNT(*) 
     FROM bookins 
     WHERE bookins.dispatch_DriverId = $driver 
       AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
       AND bookins.status = 'completed'
       AND bookins.payment_type = 'Cash') AS total_cash_jobs,

    (SELECT COUNT(*) 
     FROM bookins 
     WHERE bookins.dispatch_DriverId = $driver 
       AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
       AND bookins.status = 'completed'
       AND bookins.payment_type = 'Account') AS total_account_jobs,

    (SELECT SUM(bookins.fare) 
     FROM bookins 
     WHERE bookins.dispatch_DriverId = $driver 
       AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
       AND bookins.status = 'completed'
       AND (bookins.payment_type = 'Cash' OR bookins.payment_type = 'Account')) AS total_earned,

    (SELECT SUM(CASE WHEN bookins.payment_type = 'Cash' THEN bookins.fare ELSE 0 END)
     FROM bookins 
     WHERE bookins.dispatch_DriverId = $driver 
       AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
       AND bookins.status = 'completed') AS total_Cash_Fare,

    (SELECT SUM(CASE WHEN bookins.payment_type = 'Account' THEN bookins.fare ELSE 0 END)
     FROM bookins 
     WHERE bookins.dispatch_DriverId = $driver 
       AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
       AND bookins.status = 'completed') AS total_Account_Fare,

    (SELECT SUM(CASE 
                WHEN drivers.paymentType = 'commission' THEN (bookins.fare * drivers.payment / 100) 
                ELSE 0 
              END)  
     FROM bookins
     JOIN drivers ON bookins.dispatch_DriverId = drivers.Driver_id
     WHERE bookins.dispatch_DriverId = $driver 
       AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
       AND bookins.status = 'completed') AS all_commission_percentage,

    drivers.AMCEB,
    drivers.AMCEA,
    drivers.min_comm,
    drivers.max_comm
FROM drivers 
WHERE drivers.Driver_id = $driver";

$totals_result = mysqli_query($con, $totals_sql);
$totals_data = mysqli_fetch_assoc($totals_result);

    $jobs_sql = "SELECT 
                    bookins.id,
                    drivers.Name,
                    bookins.date,
                    bookins.time,
                    bookins.pickup,
                    bookins.dropoff,
                    bookins.fare,
                    drivers.payment,
                    drivers.paymentType,
                    CASE 
                        WHEN drivers.paymentType = 'commission' THEN (bookins.fare * drivers.payment / 100) 
                        ELSE 0 
                    END AS commission_percentage
                 FROM 
                    bookins
                 JOIN 
                    drivers ON bookins.dispatch_DriverId = drivers.Driver_id
                 WHERE 
                    bookins.dispatch_DriverId = $driver 
                    AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
                    AND bookins.status = 'completed'
                    AND (bookins.payment_type = 'Cash' OR bookins.payment_type = 'Account')";

    $jobs_result = mysqli_query($con, $jobs_sql);
    $dataArray = array(); // Initialize an empty array

    while ($data = mysqli_fetch_assoc($jobs_result)) {
        $row = array(
            'id' => $data['id'],
            'Name' => $data['Name'],
            'Date' => $data['date'],
            'Time' => $data['time'],
            'Pick' => $data['pickup'],
            'Dropoff' => $data['dropoff'],
            'Fare' => $data['fare'],
            'payment' => $data['payment'],
            'paymentType' => $data['paymentType'],
            'commission_percentage' => $data['commission_percentage'],
        );
        $dataArray[] = $row;
    }

    // Combine totals and job data in the response
    $response = array(
        'totals' => $totals_data,
        'jobs' => $dataArray
    );

    echo json_encode($response);
}
?>
