<?php 
include("../db/db.php");

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $fromDate = $_POST['fromDate'];
    $toDate = $_POST['toDate'];

    // Ensure the user inputs are sanitized to prevent SQL injection
    $fromDate = mysqli_real_escape_string($con, $fromDate);
    $toDate = mysqli_real_escape_string($con, $toDate);

    // Convert input dates to MySQL-compatible format ('Y-m-d')
    $fromDate = date_create_from_format('d/m/Y', $fromDate)->format('m/d/Y');
    $toDate = date_create_from_format('d/m/Y', $toDate)->format('m/d/Y');

    $payment_type = isset($_REQUEST['payment_type']) ? $_REQUEST['payment_type'] : "";
$sql = "SELECT * FROM bookins WHERE `status` = 'Completed'";

if ($payment_type === "All") {
    $sql .= " AND `payment_type` IN ('Cash', 'Account')";
} else {
    $sql .= " AND `payment_type` = '$payment_type'";
}

if (!empty($fromDate) && !empty($toDate)) {
    $sql .= " AND `date` BETWEEN '$fromDate' AND '$toDate'";
}


$result = mysqli_query($con, $sql);
if ($result) {
    $rows = [];
    // Check if there are any rows returned
    if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            $rows[] = [
                'time'=>$row['time'],
                'payment' => $row['payment_type'],
                'pickup' => $row['pickup'],
                'dropoff' => $row['dropoff'],
                'fare' => $row['fare'],
                     'date' => date('d/m/Y', strtotime($row['date'])), // Format date as d/m/Y
                'name' => $row['name'],
                'phone' => $row['phone'],
                'driver' => $row['dispatch_DriverId'],
            ];
        }
    }
    // Output JSON, even if there are no rows
    echo json_encode($rows);
}
}