<?php
include("../db/db.php");


if (isset($_POST['driver'])) {
    $selectedDriver = $_POST['driver'];
    $fromDate = $_POST['fromDate'];
    $toDate = $_POST['toDate'];
    
    // Ensure the user inputs are sanitized to prevent SQL injection
    $selectedDriver = mysqli_real_escape_string($con, $selectedDriver);
    $fromDate = mysqli_real_escape_string($con, $fromDate);
    $toDate = mysqli_real_escape_string($con, $toDate);
    
    // Convert input dates to MySQL-compatible format ('Y-m-d')
    $fromDate = date_create_from_format('d/m/Y', $fromDate)->format('Y/m/d');
    $toDate = date_create_from_format('d/m/Y', $toDate)->format('Y/m/d');
    
    // Your SQL query with formatted dates
    $sql = "SELECT 
        drivers.*, bookins.*,
        COUNT(bookins.id) AS total_jobs_completed,
        SUM(bookins.fare) AS total_earned,
        SUM(CASE WHEN bookins.payment_type='account' THEN 1 ELSE 0 END) AS total_account,
        SUM(CASE WHEN drivers.paymentType = 'Commission' THEN (bookins.fare * drivers.payment/100) ELSE 0 END) AS commission_percentage,
        SUM(bookins.payment_type='Cash') AS total_cash_jobs,
        SUM(CASE WHEN bookins.payment_type = 'Card' THEN 1 ELSE 0 END) AS total_card_jobs_count,
        SUM(CASE WHEN bookins.payment_type = 'Card' THEN bookins.fare ELSE 0 END) AS total_card_amount,
        SUM(CASE WHEN bookins.payment_type = 'Account' THEN bookins.fare ELSE 0 END) AS total_cash_account,
        SUM(CASE WHEN bookins.payment_type = 'Cash' THEN bookins.fare ELSE 0 END) AS total_cash_fare
    FROM
        drivers
    LEFT JOIN
        bookins ON drivers.Driver_id = bookins.dispatch_DriverId
        AND STR_TO_DATE(bookins.date, '%m/%d/%Y') BETWEEN '$fromDate' AND '$toDate'
        AND bookins.status = 'completed'
    WHERE
        drivers.Driver_id = '$selectedDriver'
    GROUP BY
        drivers.Driver_id
    ORDER BY
        total_jobs_completed DESC";
// Convert fromDate and toDate to DateTime objects
$fromDateObj = new DateTime($fromDate);
$toDateObj = new DateTime($toDate);

// Calculate the interval
$interval = $fromDateObj->diff($toDateObj);
$numberOfDays = $interval->days;
    $result = mysqli_query($con, $sql);

    if (!$result) {
        die("Query failed: " . $con->error);
    }
    $dataArray = array(); // Initialize an empty array

    while ($data = mysqli_fetch_assoc($result)) {
        $row = array(
            'Driver_id' => $data['Driver_id'],
            'Name' => $data['Name'],
            'numberOfDays' => $numberOfDays,
            'total_jobs_completed' => $data['total_jobs_completed'],
            'total_earned' => $data['total_earned'],
            'total_account' => $data['total_account'],
            'payment' => $data['payment'],
            'paymentType' => $data['paymentType'],
            'commission_percentage' => $data['commission_percentage'],
            'total_cash_account' => $data['total_cash_account'],
            'total_cash_jobs' => $data['total_cash_jobs'],
            'total_cash_fare' => $data['total_cash_fare'],
            'total_card_jobs_count' => $data['total_card_jobs_count'],
            'total_card_amount' => $data['total_card_amount'],
        );
    
        // Append the row to the dataArray
        $dataArray[] = $row;
    }
    
   
    echo json_encode($dataArray);
    
   
}

function calculateDays($fromDate, $toDate) {
    $from = new DateTime($fromDate);
    $to = new DateTime($toDate);
    $interval = $from->diff($to);
    return $interval->days;
}
?>
  