<?php
include("../db/db.php");

$currentDate = date("m/d/Y");
$previousDate = date("m/d/Y", strtotime("-15 days"));

// Fetch user preferences from the database
$query_preferences = "SELECT * FROM user_preferences";
$result_preferences = mysqli_query($con, $query_preferences);

if ($result_preferences && mysqli_num_rows($result_preferences) > 0) {
    $preferences = mysqli_fetch_assoc($result_preferences);
    $defaultBackgroundColor = $preferences['background_color'];
    $defaultTextColor = $preferences['text_color'];
    $account = $preferences['account_color'];
    $airport = $preferences['airport_color'];
    $school = $preferences['schoolcolor'];
    $base = $preferences['basecolor'];
    $text = $preferences['text_color'];
} else {
    // Default colors if preferences not found
    $defaultBackgroundColor = '#ffffff'; // Default to white
    $defaultTextColor = '#000000'; // Default to black
    $account = '#f0f0f0'; // Default to a light grey
    $airport = '#d0d0d0'; // Default to a darker grey
    $school = '#c0c0c0'; // Default to a medium grey
    $base = '#b0b0b0'; // Default to a darker grey
}

// Query for jobs
$query_jobs = "SELECT * FROM `bookins` WHERE date BETWEEN '$previousDate' AND '$currentDate' AND status ='' AND (accepted = '' OR accepted = '0') ORDER BY date ASC, time ASC";
$result_jobs = mysqli_query($con, $query_jobs);

if ($result_jobs && mysqli_num_rows($result_jobs) > 0) {
    while ($data = mysqli_fetch_array($result_jobs)) {
        // Determine the background color based on payment type
        $paymentType = strtolower($data['payment_type']);
        $Type = strtolower($data['type']);
        $paymentTypeColor = '';
        $backgroundtype = '';

        // Check each payment type and assign the corresponding color
        switch ($paymentType) {
            case 'cash':
                $paymentTypeColor = $preferences['cash_color'];
                break;
            case 'account':
                $paymentTypeColor = $preferences['account_color'];
                break;
            case 'card':
                $paymentTypeColor = $preferences['card_color'];
                break;
            default:
                // Use default background color if payment type not recognized
                $paymentTypeColor = $defaultBackgroundColor;
                break;
        }

        // Set background color based on filter type
        if ($Type === 'account') {
            $backgroundtype = $account;
        } elseif ($Type === 'airport') {
            $backgroundtype = $airport;
        } elseif ($Type === 'school run') {
            $backgroundtype = $school;
        } elseif ($Type === 'base') {
            $backgroundtype = $base;
        }

        // Use the payment type color if available, otherwise use background type color
        $backgroundColor = (!empty($paymentTypeColor) && $paymentTypeColor !== '#') ? $paymentTypeColor : $backgroundtype;

        echo '<tr data-job-id="' . $data['id'] . '" style="background-color: ' . $backgroundColor . '; color: ' . $defaultTextColor . ';">';
        echo '<td>' . $data['id'] . '</td>';
        echo '<td>' . date("d/m/y", strtotime($data['date'])) . " " . $data['time'] . '</td>';
        echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 180px;"><span title="' . $data['pickup'] . '">' . $data['pickup'] . '</span></td>';
        echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 180px;"><span title="' . $data['via'] . ', ' . $data['via_Two'] . '">' . $data['via'] . '</span></td>';
        echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 180px;"><span title="' . $data['dropoff'] . '">' . $data['dropoff'] . '</span></td>';
        echo '<td>' . $data['name'] . '</td>';
        echo '<td>' . $data['phone'] . '</td>';
        echo '<td>' . $data['car_type'] . '</td>';
        echo '<td>' . '£ ' . $data['fare'] . '</td>';
        echo '<td>' . $data['payment_type'] . '</td>';
        echo '<td>' . $data['allocate_DriverId'] . '</td>';
        echo '<td>' . $data['account'] . '</td>';
        echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 90px;"><span title="' . $data['message'] . '">' . $data['message'] . '</span></td>';
       echo '<td>' . $data['flight'] . '</td>';
        echo '<td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
        <span title="' . htmlspecialchars(
            $data['congestion'] . ' ' .
            $data['card_reader'] . ' ' .
            $data['food_delivery'] . ' ' .
            $data['help_cust'] . ' ' .
            $data['low_car'] . ' ' .
            $data['mask'] . ' ' .
            $data['non_smoking'] . ' ' .
            $data['pet_carrier'] . ' ' .
            $data['screen'] . ' ' .
            $data['meet_greet'] . ' ' .
            $data['ulze'], 
            ENT_QUOTES, 'UTF-8'
        ) . '">
            ' . htmlspecialchars(
                $data['congestion'] . ' ' .
                $data['card_reader'] . ' ' .
                $data['food_delivery'] . ' ' .
                $data['help_cust'] . ' ' .
                $data['low_car'] . ' ' .
                $data['mask'] . ' ' .
                $data['non_smoking'] . ' ' .
                $data['pet_carrier'] . ' ' .
                $data['screen'] . ' ' .
                $data['meet_greet'] . ' ' .
                $data['ulze'], 
                ENT_QUOTES, 'UTF-8'
            ) . '
        </span>
      </td>';
        echo '<td>' . $data['web_booking'] . '</td>';
      echo '<td style="background-color:white;padding: 0px 2px;"><button data-job-id="' . $data['id'] . '"  style="color:white;padding: 2px 24px;text-decoration:none;font-size:12px;border: none;font-weight: 700;" class=" dispatchBtn btn3 background" data-bs-toggle="modal" data-bs-target="#ModalDispatch">Dispatch</button></td>';
        echo '</tr>';
    }
} else {
    echo "No jobs found";
}
?>
