<?php
include("../db/db.php");

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $query = "SELECT * FROM drivers WHERE plot = 'plot' AND logout ='' ORDER BY login_time ASC";
    $result = mysqli_query($con, $query);

    if ($result) {
        $drivers = [];
        while ($row = mysqli_fetch_assoc($result)) {
            $loginTime = strtotime($row['login_time']);
            $currentTime = time();
            $waitingTime = $currentTime - $loginTime;

            $row['waiting_time'] = $waitingTime;

            $latitude = $row['latitude'];
            $longitude = $row['longitude'];

            // Use CURL for API request to Mapbox
            $mapboxToken = 'pk.eyJ1IjoiaXRsb2dpc29sdXRpb25zIiwiYSI6ImNtMjNkZGo5czA0eHMyanM2aWN2YTY1YTAifQ.l4Fh6K-t8pMiNcQx8ngwxw'; // Replace with your Mapbox token
            $geocodeUrl = "https://api.mapbox.com/geocoding/v5/mapbox.places/$longitude,$latitude.json?access_token=$mapboxToken";

            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $geocodeUrl);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            $geocodeResponse = curl_exec($ch);
            curl_close($ch);

            $geocodeData = json_decode($geocodeResponse, true);
            
            if (json_last_error() === JSON_ERROR_NONE && !empty($geocodeData['features'])) {
                $locationName = $geocodeData['features'][0]['place_name'];
                $row['location_name'] = $locationName;
            } else {
                $row['location_name'] = 'Unknown location';
            }

            $drivers[] = $row;
        }

        echo json_encode(['success' => true, 'data' => $drivers]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Error in SQL query: ' . mysqli_error($con)]);
    }
} else {
    http_response_code(405);
    echo json_encode(['success' => false, 'message' => 'Method Not Allowed']);
}

mysqli_close($con);
?>
