<?php
include("../db/db.php");

$query_preferences = "SELECT * FROM user_preferences";
$result_preferences = mysqli_query($con, $query_preferences);

if ($result_preferences && mysqli_num_rows($result_preferences) > 0) {
    $preferences = mysqli_fetch_assoc($result_preferences);
    $account = $preferences['account_color'];
    $airport = $preferences['airport_color'];
    $school = $preferences['schoolcolor'];
    $base = $preferences['basecolor'];
    $text = $preferences['text_color'];
}

if (isset($_POST['filter'])) {
    $filter = $_POST['filter'];
    
    $currentDate = date("m/d/Y");
    $tomorrowDate = date("m/d/Y", strtotime("+1 day"));
    $endDate = date("m/d/Y", strtotime("+2 years", strtotime($tomorrowDate)));

    $query = "SELECT *, DATE_FORMAT(STR_TO_DATE(date, '%m/%d/%Y'), '%d/%m/%y') AS formatted_date 
              FROM `bookins` 
              WHERE STR_TO_DATE(date, '%m/%d/%Y') BETWEEN STR_TO_DATE('$tomorrowDate', '%m/%d/%Y') AND STR_TO_DATE('$endDate', '%m/%d/%Y')";

    if ($filter === 'Bookings') {
        $query .= " AND status = '' AND (accepted = '' OR accepted = '0')";
    } elseif ($filter === 'Airport') {
        $query = "SELECT *, DATE_FORMAT(STR_TO_DATE(date, '%m/%d/%Y'), '%d/%m/%y') AS formatted_date 
                  FROM `bookins` 
                  WHERE (STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$currentDate', '%m/%d/%Y') OR STR_TO_DATE(date, '%m/%d/%Y') BETWEEN STR_TO_DATE('$tomorrowDate', '%m/%d/%Y') AND STR_TO_DATE('$endDate', '%m/%d/%Y')) 
                  AND type = 'Airport' 
                  AND status =''
                  AND (accepted = '' OR accepted = '0') ";
    } elseif ($filter === 'Account') {
        $query = "SELECT *, DATE_FORMAT(STR_TO_DATE(date, '%m/%d/%Y'), '%d/%m/%y') AS formatted_date 
                  FROM `bookins` 
                  WHERE (STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$currentDate', '%m/%d/%Y') OR STR_TO_DATE(date, '%m/%d/%Y') BETWEEN STR_TO_DATE('$tomorrowDate', '%m/%d/%Y') AND STR_TO_DATE('$endDate', '%m/%d/%Y')) 
                  AND payment_type = 'Account' 
                  AND status ='' 
                  AND (accepted = '' OR accepted = '0') ";
    } elseif ($filter === 'Cash') {
        $query = "SELECT *, DATE_FORMAT(STR_TO_DATE(date, '%m/%d/%Y'), '%d/%m/%y') AS formatted_date 
                  FROM `bookins` 
                  WHERE (STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$currentDate', '%m/%d/%Y') OR STR_TO_DATE(date, '%m/%d/%Y') BETWEEN STR_TO_DATE('$tomorrowDate', '%m/%d/%Y') AND STR_TO_DATE('$endDate', '%m/%d/%Y')) 
                  AND payment_type = 'Cash' 
                  AND status ='' 
                  AND (accepted = '' OR accepted = '0') ";
    } elseif ($filter === 'Web') {
        $query = "SELECT *, DATE_FORMAT(STR_TO_DATE(date, '%m/%d/%Y'), '%d/%m/%y') AS formatted_date 
                  FROM `bookins` 
                  WHERE (STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$currentDate', '%m/%d/%Y') OR STR_TO_DATE(date, '%m/%d/%Y') BETWEEN STR_TO_DATE('$tomorrowDate', '%m/%d/%Y') AND STR_TO_DATE('$endDate', '%m/%d/%Y')) 
                  AND web_booking = 'Web Booking' 
                  AND status ='' 
                  AND (accepted = '' OR accepted = '0') ";
    } elseif ($filter === 'Resent') {
        $query = "SELECT *, DATE_FORMAT(STR_TO_DATE(date, '%m/%d/%Y'), '%d/%m/%y') AS formatted_date 
                  FROM `bookins` 
                  WHERE STR_TO_DATE(date, '%m/%d/%Y') = STR_TO_DATE('$currentDate', '%m/%d/%Y') 
                  AND status = 'Completed'";
    }

    $query .= " ORDER BY STR_TO_DATE(date, '%m/%d/%Y') ASC, STR_TO_DATE(time, '%h:%i %p') ASC";

    $result = mysqli_query($con, $query);

    if (mysqli_num_rows($result) > 0) {
        while ($data = mysqli_fetch_array($result)) {
            $backgroundColor = ''; // Initialize the background color variable
        
            // Set background color based on filter type
            if ($filter === 'Account') {
                $backgroundColor = $account;
            } elseif ($filter === 'Airport') {
                $backgroundColor = $airport;
            }

            // Modify this part to include background color based on type
            if ($data['type'] === 'Airport') {
                $backgroundColor = $airport;
            } elseif ($data['type'] === 'School Run') {
                $backgroundColor = $school;
            } elseif ($data['type'] === 'Base') {
                $backgroundColor = $base;
            }

             echo '<tr style="background-color:' . $backgroundColor . '; color:' . $text . ';" data-job-id="' . $data['id'] . '">';
            echo '<td>' . $data['id'] . '</td>';
            echo '<td>' . $data['formatted_date'] . " " . $data['time'] . '</td>';
        echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 180px;"><span title="' . $data['pickup'] . '">' . $data['pickup'] . '</span></td>';
        echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 180px;"><span title="' . $data['via'] . ', ' . $data['via_Two'] . '">' . $data['via'] . '</span></td>';
        echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 180px;"><span title="' . $data['dropoff'] . '">' . $data['dropoff'] . '</span></td>';
            echo '<td>' . $data['name'] . '</td>';
            echo '<td>' . $data['phone'] . '</td>';
            echo '<td>' . $data['car_type'] . '</td>';
            echo '<td>' .'£'. $data['fare'] . '</td>';
            echo '<td>' . $data['payment_type'] . '</td>';
            echo '<td>' . $data['allocate_DriverId'] . '</td>';
            echo '<td>' . $data['account'] . '</td>';
            echo '<td style="font-size: 12px;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;max-width: 90px;"><span title="' . $data['message'] . '">' . $data['message'] . '</span></td>';
           echo '<td>' . $data['flight'] . '</td>';
            echo '<td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
        <span title="' . htmlspecialchars(
            $data['congestion'] . ' ' .
            $data['card_reader'] . ' ' .
            $data['food_delivery'] . ' ' .
            $data['help_cust'] . ' ' .
            $data['low_car'] . ' ' .
            $data['mask'] . ' ' .
            $data['non_smoking'] . ' ' .
            $data['pet_carrier'] . ' ' .
            $data['screen'] . ' ' .
            $data['meet_greet'] . ' ' .
            $data['ulze'], 
            ENT_QUOTES, 'UTF-8'
        ) . '">
            ' . htmlspecialchars(
                $data['congestion'] . ' ' .
                $data['card_reader'] . ' ' .
                $data['food_delivery'] . ' ' .
                $data['help_cust'] . ' ' .
                $data['low_car'] . ' ' .
                $data['mask'] . ' ' .
                $data['non_smoking'] . ' ' .
                $data['pet_carrier'] . ' ' .
                $data['screen'] . ' ' .
                $data['meet_greet'] . ' ' .
                $data['ulze'], 
                ENT_QUOTES, 'UTF-8'
            ) . '
        </span>
      </td>';
            echo '<td>' . $data['web_booking'] . '</td>';
           echo '<td style="background-color:white;padding: 0px 3px;"><button data-job-id="' . $data['id'] . '"  style="color:white;padding: 2px 24px;text-decoration:none;font-size:12px;border: none;font-weight: 700;" href="" class="btn3 background" data-bs-toggle="modal" data-bs-target="">Dispatch</button></td>';
          
            echo '</tr>';
        }
    } else {
        echo '<tr><td colspan="24">No data found for the selected filter.</td></tr>';
    }
}
?>
