<?php
include("../db/db.php");

// Check if it's a POST request and if jobType is set
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['jobType'])) {
    $jobType = $_POST['jobType'];
    
    // Prevent SQL injection by using prepared statements
    $query = "SELECT * FROM place WHERE type = ?";
    $stmt = mysqli_prepare($con, $query);
    mysqli_stmt_bind_param($stmt, 's', $jobType);
    mysqli_stmt_execute($stmt);
    
    $result = mysqli_stmt_get_result($stmt);

    if ($result) {
        $savedData = mysqli_fetch_assoc($result);
        if ($savedData) {
            echo json_encode(['success' => true, 'data' => $savedData]);
        } else {
            echo json_encode(['success' => false, 'message' => 'Job not found']);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Error executing the query']);
    }

    // Clean up prepared statement
    mysqli_stmt_close($stmt);
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid request']);
}
?>
