<?php
include("../db/db.php"); // Include your database connection file
session_start();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST["user_name"];
    $password = $_POST["password"];

    // Function to handle user login
    function loginUser($con, $query, $username, $password) {
        $stmt = mysqli_prepare($con, $query);
        if (!$stmt) {
            die("Error in preparing the statement: " . mysqli_error($con));
        }

        mysqli_stmt_bind_param($stmt, "ss", $username, $password);
        mysqli_stmt_execute($stmt);
        return mysqli_stmt_get_result($stmt);
    }

    // Query to check in users table
    $login_query = "SELECT * FROM users WHERE Name=? AND Password=? LIMIT 1";
    $login_res = loginUser($con, $login_query, $username, $password);
    $is_user_table = false;

    if (mysqli_num_rows($login_res) > 0) {
        $user = mysqli_fetch_assoc($login_res);
        $is_user_table = true; // User found in the 'users' table
        $_SESSION['is_from_user_table'] = $is_user_table; // Set this based on 

    } else {
        // If user not found in users table, check company_user table
        $company_user_query = "SELECT * FROM company_user WHERE username=? AND password=? LIMIT 1";
        $login_res = loginUser($con, $company_user_query, $username, $password);

        if (mysqli_num_rows($login_res) > 0) {
            $user = mysqli_fetch_assoc($login_res);
            $is_user_table = false; // User found in the 'company_user' table
        } else {
            // User not found in both tables or incorrect password
            $_SESSION["error_message"] = "User not found or incorrect password";
            header("location:../login.php");
            exit;
        }
    }

    // Set session variables
    $_SESSION["log"] = true;
    $_SESSION["admin"] = $is_user_table ? intval($user['Role']) : intval($user['role']); // Convert role to integer
    $_SESSION["user_id"] = $user['id']; // Assuming the user ID column is 'id'
    $_SESSION["username"] = $is_user_table ? $user['Name'] : $user['username']; // Store the username in session
    $_SESSION["login_time"] = time(); // Store the login time

    // Debugging session values
    error_log("Session log: " . $_SESSION["log"]);
    error_log("Session admin: " . $_SESSION["admin"]);
    error_log("Session user_id: " . $_SESSION["user_id"]);
    error_log("Session username: " . $_SESSION["username"]);

    // Redirect based on user role
    if ($_SESSION["admin"] == 1) {
        // Admin
        $_SESSION["success_message"] = "Admin login successful";
        header("location:../index.php");
        exit;
    } elseif ($_SESSION["admin"] == 2) {
        // Controller
        $_SESSION["success_message"] = "Controller login successful";
        header("location:../index.php");
        exit;
    } elseif ($_SESSION["admin"] == 3) {
        // Operator
        $_SESSION["success_message"] = "Operator login successful";
        header("location:../index.php");
        exit;
    } else {
        // Unauthorized role
        $_SESSION["error_message"] = "You are not authorized to access the admin dashboard";
        header("location:../login.php");
        exit;
    }
}

// Debugging to check session values in index.php
error_log("Accessing index.php");
error_log("Session log: " . (isset($_SESSION["log"]) ? $_SESSION["log"] : "not set"));
error_log("Session admin: " . (isset($_SESSION["admin"]) ? $_SESSION["admin"] : "not set"));

// Redirect if not logged in
if (!isset($_SESSION["log"]) || $_SESSION["log"] !== true) {
    error_log("User not logged in, redirecting to login.php");
    header("Location: ../login.php");
    exit();
}
?>
