<?php
include("../db/db.php");

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $pick = mysqli_real_escape_string($con, $_REQUEST['pickup']);
    $drop = mysqli_real_escape_string($con, $_REQUEST['drop']);
    $via = mysqli_real_escape_string($con, isset($_REQUEST['via']) ? $_REQUEST['via'] : '');
    $viaTwo = mysqli_real_escape_string($con, isset($_REQUEST['viaTwo']) ? $_REQUEST['viaTwo'] : '');
    $distance = mysqli_real_escape_string($con, $_REQUEST['distance']);
    $fare = mysqli_real_escape_string($con, $_REQUEST['fare']);
    $carType = mysqli_real_escape_string($con, $_REQUEST['carType']);
    $pax = mysqli_real_escape_string($con, isset($_REQUEST['pax']) ? $_REQUEST['pax'] : '');
    $luggage = mysqli_real_escape_string($con, isset($_REQUEST['luggage']) ? $_REQUEST['luggage'] : '');
    $routeSelect = mysqli_real_escape_string($con, $_REQUEST['routeSelect']);
    $dateParts = explode('/', mysqli_real_escape_string($con, $_REQUEST['date']));
    // Ensure that the date is in dd/mm/YY format
    if (count($dateParts) == 3) {
        $date = $dateParts[1] . '/' . $dateParts[0] . '/' . $dateParts[2]; // Convert to mm/dd/YY format
    } else {
        echo json_encode(['error' => 'Invalid date format provided']);
        exit;
    }
     $retDateParts = explode('/', mysqli_real_escape_string($con, $_REQUEST['returnDate']));
    // Ensure that the date is in dd/mm/YY format
    if (count($retDateParts) == 3) {
        $returnDate = $retDateParts[1] . '/' . $retDateParts[0] . '/' . $retDateParts[2]; // Convert to mm/dd/YY format
    } else {
        echo json_encode(['error' => 'Invalid date format provided']);
        exit;
    }
    $times = isset($_REQUEST['times']) ? $_REQUEST['times'] : []; // Array of times
    $returnTimes = isset($_REQUEST['returnTimes']) ? $_REQUEST['returnTimes'] : []; // Array of return times
    $isReturnTrip = isset($_REQUEST['isReturnTrip']) ? $_REQUEST['isReturnTrip'] : false;
    $name = mysqli_real_escape_string($con, $_REQUEST['name']);
    $email = mysqli_real_escape_string($con, $_REQUEST['email']);
    $phone = mysqli_real_escape_string($con, $_REQUEST['phone']);
    $message = mysqli_real_escape_string($con, $_REQUEST['message']);
    $job_type = mysqli_real_escape_string($con, $_REQUEST['jobtype']);
    $payment_type = mysqli_real_escape_string($con, $_REQUEST['Payment_Type']);
    $account = mysqli_real_escape_string($con, isset($_REQUEST['Account']) ? $_REQUEST['Account'] : '');
    $DriverID = mysqli_real_escape_string($con, isset($_REQUEST['driverId']) ? $_REQUEST['driverId'] : '');
    $pickupLatLon = mysqli_real_escape_string($con, isset($_REQUEST['pickupLatLon']) ? $_REQUEST['pickupLatLon'] : '');
    $dropLatLon = mysqli_real_escape_string($con, isset($_REQUEST['dropLatLon']) ? $_REQUEST['dropLatLon'] : '');

    $daysCount = isset($_REQUEST['daysCount']) ? intval($_REQUEST['daysCount']) : 1;

    $successCount = 0;

    // Debugging: print days count and times array
    error_log("Days Count: " . $daysCount);
    error_log("Times Array: " . json_encode($times));
    error_log("Return Times Array: " . json_encode($returnTimes));

    // Loop to save one-way trips
    for ($i = 0; $i < $daysCount; $i++) {
        $jobDate = date('m/d/Y', strtotime("+$i day", strtotime($date)));
        $time = isset($times[$i]) ? mysqli_real_escape_string($con, $times[$i]) : ''; // Get time from array or default to empty

        if ($time === '') {
            echo json_encode(['error' => "Time is missing for day " . ($i + 1) . "."]);
            exit;
        }

        $query = "INSERT INTO `bookins`(`pickup`, `via`, `via_Two`, `dropoff`, `distance`, `fare`, `car_type`, `pax`, `luggage`, `routeSelect`, `date`, `time`, `name`, `email`, `phone`, `message`, `type`, `payment_type`, `account`, `allocate_driverId`, `pickupLatLong`, `dropLatLong`) 
                  VALUES ('$pick','$via', '$viaTwo', '$drop','$distance','$fare','$carType','$pax','$luggage','$routeSelect','$jobDate','$time','$name','$email','$phone','$message','$job_type','$payment_type','$account','$DriverID','$pickupLatLon','$dropLatLon')";

        // Debugging: print each query
        error_log("One-way Query: " . $query);

        $result = mysqli_query($con, $query);

        if ($result !== false) {
            $successCount++;
        } else {
            error_log("Error in one-way query execution: " . mysqli_error($con));
        }
    }

    // Loop to save return trips, if applicable
    if ($isReturnTrip ==true){
        for ($i = 0; $i < $daysCount; $i++) {
            $retJobDate = date('m/d/Y', strtotime("+$i day", strtotime($returnDate)));
            $returnTime = isset($returnTimes[$i]) ? mysqli_real_escape_string($con, $returnTimes[$i]) : ''; // Get return time from array or default to empty

            if ($returnTime === '') {
                echo json_encode(['error' => "Return time is missing for day " . ($i + 1) . "."]);
                exit;
            }

            $query = "INSERT INTO `bookins`(`pickup`, `via`, `via_Two`, `dropoff`, `distance`, `fare`, `car_type`, `pax`, `luggage`, `routeSelect`, `date`, `time`, `name`, `email`, `phone`, `message`, `type`, `payment_type`, `account`, `allocate_driverId`, `pickupLatLong`, `dropLatLong`) 
                      VALUES ('$drop','$via', '$viaTwo', '$pick','$distance','$fare','$carType','$pax','$luggage','$routeSelect','$retJobDate','$returnTime','$name','$email','$phone','$message','$job_type','$payment_type','$account','$DriverID','$dropLatLon','$pickupLatLon')";

            // Debugging: print each query
            error_log("Return Query: " . $query);

            $result = mysqli_query($con, $query);

            if ($result !== false) {
                $successCount++;
            } else {
                error_log("Error in return query execution: " . mysqli_error($con));
            }
        }
    }

    if ($successCount == ($daysCount * ($isReturnTrip ? 2 : 1))) {
        echo json_encode(['success' => "Job(s) saved successfully!"]);
    } else {
        echo json_encode(['error' => "Only $successCount out of " . ($daysCount * ($isReturnTrip ? 2 : 1)) . " job(s) were saved."]);
    }
}
?>
