<?php
// Define the path to the call log file
$filename = './call_log.txt';

// Read the file contents into a string
$file_contents = file_get_contents($filename);

// Use regex to extract the log entries
preg_match_all('/\[(.*?)\] => (.*?)\s*(?=\[|$)/', $file_contents, $matches);

// Initialize an array to store the parsed log entries
$call_logs = [];
$current_entry = [];

foreach ($matches[1] as $index => $key) {
    if (trim($key) == 'uuid' && !empty($current_entry)) {
        $call_logs[] = $current_entry;
        $current_entry = [];
    }

    $current_entry[trim($key)] = trim($matches[2][$index]);
}

if (!empty($current_entry)) {
    $call_logs[] = $current_entry;
}

$filtered_calls = [];

foreach ($call_logs as $log) {
    if (isset($log['start']) && isset($log['from'])) {
        $filtered_calls[] = [
            'start' => $log['start'],
            'from' => $log['from'],
        ];
    }
}

$response = [
    "status" => "success",
    "calls" => $filtered_calls
];

echo json_encode($response);
?>
