<?php
include("../db/db.php");

if (isset($_POST['account_id'])) {
    $account_id = $_POST['account_id'];

    // Prepare and execute the query
    $sql = "SELECT * FROM payment WHERE account_id = ?";
    $stmt = $con->prepare($sql);
    $stmt->bind_param("i", $account_id);
    $stmt->execute();
    $result = $stmt->get_result();

    // Check if there are any results
    if ($result->num_rows > 0) {
        $payments = [];
        
        // Loop through all the rows and store them in the array
        while ($row = $result->fetch_assoc()) {
            $payments[] = $row;
        }

        // Return the array of payments as JSON
        echo json_encode($payments);
    } else {
        // If no data is found, return an error message
        echo json_encode([
            'status' => 'error',
            'message' => 'No data found for the given ID'
        ]);
    }

    $stmt->close();
} else {
    // If account_id is not set in the request, return an error message
    echo json_encode([
        'status' => 'error',
        'message' => 'Invalid request'
    ]);
}

$con->close();
?>
