<?php
include("../db/db.php"); 

if (isset($_POST['id'])) {
    $id = $_POST['id'];

    $sql = "SELECT * FROM driver_statement WHERE id = ?";
    $stmt = $con->prepare($sql);
    $stmt->bind_param("i", $id);  // Correct parameter binding
    $stmt->execute();
    $result = $stmt->get_result();

    if ($driver = $result->fetch_assoc()) {
        // Return the driver data as JSON
        echo json_encode($driver);
    } else {
        echo json_encode([
            'status' => 'error',
            'message' => 'No data found for the given ID'
        ]);
    }

    $stmt->close();
} else {
    echo json_encode([
        'status' => 'error',
        'message' => 'Invalid request'
    ]);
}

$con->close();
?>
