<?php
include("../db/db.php");

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] == "POST" && isset($_POST['driverId'])) {
    $selectedDriver = mysqli_real_escape_string($con, $_POST['driverId']);
    $date = mysqli_real_escape_string($con, $_POST['date']);
    $fromDate = mysqli_real_escape_string($con, $_POST['fromDate']);
    $toDate = mysqli_real_escape_string($con, $_POST['toDate']);
    
    if (empty($date) && empty($fromDate) && empty($toDate)) {
        // Fetch the driver's most recent login time
        $loginQuery = "SELECT login_time FROM drivers WHERE Driver_id = '$selectedDriver' ORDER BY login_time DESC LIMIT 1";
        $loginResult = mysqli_query($con, $loginQuery);
        
        if ($loginResult && mysqli_num_rows($loginResult) > 0) {
            $loginData = mysqli_fetch_assoc($loginResult);
            $fromTime = $loginData['login_time'];
            $toTime = date('H:i'); // Current time
            
            // Query to get earnings between login time and current time
            $sql = "SELECT 
                        drivers.Driver_id, 
                        drivers.Name,
                        drivers.paymentType,
                        drivers.payment,
                        COUNT(bookins.id) AS total_jobs_completed,
                        SUM(bookins.fare) AS total_earned,
                        SUM(CASE WHEN bookins.payment_type='account' THEN 1 ELSE 0 END) AS total_account,
                        SUM(CASE WHEN drivers.paymentType = 'Commission' THEN (bookins.fare * drivers.payment/100) ELSE 0 END) AS commission_percentage
                    FROM
                        drivers
                    LEFT JOIN
                        bookins ON drivers.Driver_id = bookins.dispatch_DriverId
                    AND bookins.status = 'completed'
                   AND bookins.date BETWEEN CONCAT(CURDATE(), ' ', drivers.login_time) AND CONCAT(CURDATE(), ' ', '$currentTime')
                    WHERE
                        drivers.Driver_id = '$selectedDriver'
                    GROUP BY
                        drivers.Driver_id
                    ORDER BY
                        total_jobs_completed DESC";

        } else {
            echo json_encode(['error' => 'Failed to retrieve login time for the driver.']);
            exit;
        }
    } else {
        // Query to get earnings based on provided dates
        $sql = "SELECT 
                    drivers.Driver_id, 
                    drivers.Name,
                    drivers.paymentType,
                    drivers.payment,
                    COUNT(bookins.id) AS total_jobs_completed,
                    SUM(bookins.fare) AS total_earned,
                    SUM(CASE WHEN bookins.payment_type = 'Cash' THEN 1 ELSE 0 END) AS total_cash_jobs_count,
                    SUM(CASE WHEN bookins.payment_type = 'Cash' THEN bookins.fare ELSE 0 END) AS total_cash_amount,
                    SUM(CASE WHEN bookins.payment_type = 'Card' THEN 1 ELSE 0 END) AS total_card_jobs_count,
                    SUM(CASE WHEN bookins.payment_type = 'Card' THEN bookins.fare ELSE 0 END) AS total_card_amount,
                    SUM(CASE WHEN bookins.payment_type = 'account' THEN 1 ELSE 0 END) AS total_account_count,
                    SUM(CASE WHEN bookins.payment_type = 'account' THEN bookins.fare ELSE 0 END) AS total_account_amount,
                    SUM(CASE WHEN drivers.paymentType = 'Commission' THEN (bookins.fare * drivers.payment/100) ELSE 0 END) AS commission_percentage
                FROM
                    drivers
                LEFT JOIN
                    bookins ON drivers.Driver_id = bookins.dispatch_DriverId
                AND bookins.status = 'completed'
                AND (bookins.date = '$date' OR bookins.date BETWEEN '$fromDate' AND '$toDate')
                WHERE
                    drivers.Driver_id = '$selectedDriver'
                GROUP BY
                    drivers.Driver_id
                ORDER BY
                    total_jobs_completed DESC";
    }

    $result = mysqli_query($con, $sql);

    if (!$result) {
        echo json_encode(['error' => 'Query failed: ' . mysqli_error($con)]);
        exit;
    }

    $dataArray = array();

    while ($data = mysqli_fetch_assoc($result)) {
        $row = array(
            'Driver_id' => $data['Driver_id'],
            'Name' => $data['Name'],
            'total_jobs_completed' => $data['total_jobs_completed'],
            'total_earned' => $data['total_earned'],
            'total_cash_jobs_count' => $data['total_cash_jobs_count'],
            'total_cash_jobs_amount' => $data['total_cash_amount'],
            'total_account_jobs_count' => $data['total_account_count'],
            'total_account_jobs_amount' => $data['total_account_amount'],
            'total_card_jobs_count' => $data['total_card_jobs_count'],
            'total_card_jobs_amount' => $data['total_card_amount'],
            'Payment_Type' => $data['paymentType'],
            'Commission_Percentage' => $data['payment'].'%',
            'Payment' => '£ ' . $data['commission_percentage'],  
        );

        $dataArray[] = $row;
    }
    
    echo json_encode(['Success' =>'true', 'data' => $dataArray]);
} else {
    echo json_encode(['error' => 'Invalid request method or missing driver parameter.']);
}
?>
