<?php
include("../db/db.php");

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] == "GET") {
    // Fetch drivers who are currently logged in, ordered by login time
    $sql = "SELECT Driver_id, Name, login_time FROM drivers WHERE plot = 'plot' ORDER BY login_time ASC";
    $result = mysqli_query($con, $sql);

    if (!$result) {
        echo json_encode(['error' => 'Query failed: ' . mysqli_error($con)]);
        exit;
    }

    $drivers = array();
    $position = 1; 
    while ($data = mysqli_fetch_assoc($result)) {
        $drivers[] = array(
            'position' => $position,
            'Driver_Id' => $data['Driver_id'],
            'Name' => $data['Name'],
            'login_time' => $data['login_time'],
        );
        $position++;
    }

 
    if (count($drivers) > 0) {
  
        echo json_encode([
            'success' => true,
            'data' => $drivers,
        ]);
    } else {
        echo json_encode([
            'success' => false,
            'message' => 'No drivers currently logged in'
        ]);
    }
} else {
    echo json_encode(['error' => 'Invalid request method. Please use GET.']);
}
?>
