<?php
// Display errors for debugging (optional)
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

header('Content-Type: application/json'); // Set the content type to JSON

include("../db/db.php");

$response = array();

if ($_SERVER['REQUEST_METHOD'] == "GET") {
    // Check if driverId is provided
    if (isset($_GET['driverId'])) {
        $driverId = mysqli_real_escape_string($con, $_GET['driverId']); // Sanitize input
        $webReceiver = 'web';
        $driverSender = $driverId;

        // SQL query to fetch conversation
        $sql = "SELECT sender, receiver, message, timestamp FROM conversation 
                WHERE (sender = '$webReceiver' AND receiver = '$driverSender') 
                OR (sender = '$driverSender' AND receiver = '$webReceiver') 
                ORDER BY timestamp ASC";

        $result = $con->query($sql);

        if ($result) {
            // Fetch all messages and build the response array
            $messages = array();
            while ($row = $result->fetch_assoc()) {
                $sender = ($row['sender'] == 'web') ? '1' : '0';
                $messages[] = array(
                    'sender' => $sender,
                    'message' => $row['message'],
                    'timestamp' => $row['timestamp']
                );
            }
            $response['status'] = 'success';
            $response['messages'] = $messages;
        } else {
            // Return error if query fails
            $response['status'] = 'error';
            $response['message'] = 'Error fetching messages: ' . $con->error;
        }
    } else {
        // Return error if driverId is missing
        $response['status'] = 'error';
        $response['message'] = 'Missing required parameter: driverId';
    }
} else {
    // Return error for unsupported request method
    $response['status'] = 'error';
    $response['message'] = 'Invalid request method. Only GET is allowed.';
}

// Close the database connection
mysqli_close($con);

// Output the JSON response
echo json_encode($response);
?>
