<?php
// Include the database configuration file
include("../db/db.php");

header('Content-Type: application/json');
$response = array();

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the JSON data from the request body
    $data = json_decode(file_get_contents('php://input'), true);

    if (isset($data['job_id']) && isset($data['status'])) {
        // Sanitize and validate inputs
        $job_id = filter_var($data['job_id'], FILTER_SANITIZE_NUMBER_INT);
        $status = filter_var($data['status'], FILTER_SANITIZE_STRING);

        // Set timezone
        $timezone = 'Europe/London';
        if (isset($_REQUEST['timezone']) && in_array($_REQUEST['timezone'], timezone_identifiers_list())) {
            $timezone = $_REQUEST['timezone'];
        }
        date_default_timezone_set($timezone);
        $currentDateTime = date('H:i');

        if ($job_id && $status) {
            // Check if the job_id exists in the bookins table
            $checkQuery = "SELECT * FROM bookins WHERE id = $job_id";
            $checkResult = mysqli_query($con, $checkQuery);
            if (mysqli_num_rows($checkResult) > 0) {
                if ($status === 'Complete' || $status === 'At Pickup' || $status === 'No Pickup' || $status === 'Passenger On Board' || $status === 'On Route To The Destination' || $status === 'Soon To Clear') {
                    // Update query for different statuses with respective time columns
                    if ($status === 'Complete') {
                        $query = "UPDATE bookins SET status ='completed' WHERE id ='$job_id'";
                        $result = mysqli_query($con, $query);
                        $response['message'] = 'Job status updated successfully';
                        $response['notification'] = 'Job status has been updated to ' . $status;
                        if ($result) {
                            $fdId = "SELECT dispatch_DriverId FROM bookins WHERE id = '$job_id'";
                            $fdIdresult = mysqli_query($con, $fdId);
                            if ($fdIdresult) {
                                $fdIdData = mysqli_fetch_assoc($fdIdresult);
                                $dispatchDriverId = $fdIdData['dispatch_DriverId'];
                                $udS = "UPDATE drivers SET plot = 'plot' WHERE Driver_id = '$dispatchDriverId'";
                                $dResult = mysqli_query($con, $udS);
                            }
                        }
                    } elseif ($status === 'No Pickup') {
                        $query = "UPDATE bookins SET status ='cancelled', progress='No Pickup' WHERE id ='$job_id'";
                        $result = mysqli_query($con, $query);
                        $response['message'] = 'Job status updated successfully';
                        $response['notification'] = 'Job status has been updated to ' . $status;
                        if ($result) {
                            $fdId = "SELECT dispatch_DriverId FROM bookins WHERE id = '$job_id'";
                            $fdIdresult = mysqli_query($con, $fdId);
                            if ($fdIdresult) {
                                $fdIdData = mysqli_fetch_assoc($fdIdresult);
                                $dispatchDriverId = $fdIdData['dispatch_DriverId'];
                                $udS = "UPDATE drivers SET plot = 'plot' WHERE Driver_id = '$dispatchDriverId'";
                                $dResult = mysqli_query($con, $udS);
                            }
                        }
                    } elseif ($status === 'At Pickup') {
                        $query = "UPDATE bookins SET status = '$status', pickup_time = '$currentDateTime' WHERE id = '$job_id'";
                        $result = mysqli_query($con, $query);
                        $response['message'] = 'Job status updated successfully';
                        $response['notification'] = 'Job status has been updated to ' . $status;
                    } elseif ($status === 'Passenger On Board') {
                        $query = "UPDATE bookins SET status = '$status', pob_time = '$currentDateTime' WHERE id = '$job_id'";
                        $result = mysqli_query($con, $query);
                        $response['message'] = 'Job status updated successfully';
                        $response['notification'] = 'Job status has been updated to ' . $status;
                    } elseif ($status === 'Soon To Clear') {
                        $query = "UPDATE bookins SET status = '$status', stc_time = '$currentDateTime' WHERE id = '$job_id'";
                        $result = mysqli_query($con, $query);
                        $response['message'] = 'Job status updated successfully';
                        $response['notification'] = 'Job status has been updated to ' . $status;
                    } else {
                        $query = "UPDATE bookins SET status = '$status' WHERE id = '$job_id'";
                        $result = mysqli_query($con, $query);
                        $response['message'] = 'Job status updated successfully';
                        $response['notification'] = 'Job status has been updated to ' . $status;
                    }
                }
            } else {
                $response['success'] = false;
                $response['message'] = 'Job id not found';
            }
        } else {
            // Missing parameters
            $response['success'] = false;
            $response['message'] = 'Missing parameters';
        }
    } else {
        // Missing parameters
        $response['success'] = false;
        $response['message'] = 'Missing parameters';
    }
} else {
    // Invalid request method
    $response['success'] = false;
    $response['message'] = 'Invalid request method';
}

// Return the response as JSON
echo json_encode($response);
?>