$(document).ready(function () {
let map, directionsService, directionsRenderer;
function initMap() {
  map = new google.maps.Map(document.getElementById('map'), {
    zoom: 7,
  });

  directionsService = new google.maps.DirectionsService();
  directionsRenderer = new google.maps.DirectionsRenderer({
    map: map,
    suppressMarkers: true,
  });
}

  
   $('#myTable tbody').on('contextmenu', 'tr', function (e) {
    e.preventDefault();
    var contextMenu = $('#contextMenu');
    var menuHeight = contextMenu.outerHeight();
    var windowHeight = $(window).height();

    // Calculate the top position of the context menu
    var topPos = e.pageY - menuHeight;
    if (topPos < 0) {
        topPos = 0; // Ensure the menu doesn't go above the top of the window
    }

    // Display the context menu
    contextMenu.css({
        top: topPos + 'px',
        left: e.pageX + 'px',
        display: 'block'
    });
    contextMenu.data('row-id', $(this).data('job-id')); 
});

    
    $('#onBoard tbody').on('contextmenu', 'tr', function (e) {
        e.preventDefault();
        var contextMenuJob = $('#contextMenuJob');
        contextMenuJob.css({
            top: e.pageY + 'px',
            left: e.pageX + 'px',
            display: 'block'
        });
        contextMenuJob.data('row-id', $(this).data('job-id')); 
    });


    $(document).on('click', function () {
        $('#contextMenu').hide();
        $('#contextMenuJob').hide();
    });

   
    $('#contextMenuJob').on('click', '.completeJobBtn', function () {
        var jobId = $('#contextMenuJob').data('row-id');

      
        $.post('./action/completeJob.php', { jobId: jobId }, function (response) {
            try {
                console.log('Response from server:', response); 
                response = JSON.parse(response);
                    toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "newestOnTop": false,
                    "progressBar": false,
                    "positionClass": "toast-bottom-right",
                    "preventDuplicates": true,
                    "onclick": null,
                    "showDuration": "300",
                    "hideDuration": "1000",
                    "timeOut": "5000",
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut",
                    "toastClass": "toastr-green" // Custom class for green color
                };
                if (response.success) {
                    toastr.success('Job Completed Successfully!');
                    $('#onBoard tr[data-job-id="' + jobId + '"]').remove();

                    
                } else {
                    alert('Failed to complete the job. ' + response.message);

                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
            console.log("id", jobId);
        });

        $('#contextMenu').hide();
    });

   $('#contextMenuJob').on('click', '.cancelJobBtn', function () {
         var jobId = $('#contextMenuJob').data('row-id');
 
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                   $("#cancle_jobID").val(response.data.id);
                    $("#canclejobid").text(response.data.id);
                   
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
        $('#contextMenu').hide();
    });
    
      $('#contextMenuJob .trackDriver').click(function() {
        var driverId = $('#contextMenuJob').data('row-id');
        console.log("hahahah", driverId)
        window.open('track_driver.php?jobId=' + driverId, '_blank', 'width=1600, height=750');

    });
    $('#contextMenu').on('click', '.cancelJobBtn', function () {
        var jobId = $('#contextMenu').data('row-id');
        // Send AJAX request to complete job
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                   $("#cancle_jobID").val(response.data.id);
                    $("#canclejobid").text(response.data.id);
                   
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
        $('#contextMenu').hide();
    });
    
        $('#CancleJob').click(function () {
        var jobId = $('#cancle_jobID').val();
         var reason = $('#reasonForCancel').val();
         console.log("here is the reson", reason);
        // Send AJAX request to complet,e job
        $.post('./action/cancleDispatchJob.php', { jobId: jobId, reason: reason }, function (response) {
            try {
                response = JSON.parse(response);
                    toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "newestOnTop": false,
                    "progressBar": false,
                    "positionClass": "toast-bottom-right",
                    "preventDuplicates": true,
                    "onclick": null,
                    "showDuration": "300",
                    "hideDuration": "1000",
                    "timeOut": "5000",
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut",
                    "toastClass": "toastr-green" // Custom class for green color
                };
                console.log(response);
                if (response.success) {
                     $('#myTable tr[data-job-id="' + jobId + '"]').remove();
                         $('#onBoard tr[data-job-id="' + jobId + '"]').remove();
                   toastr.success("Job Cancelled Successfully");
                } else {
                     toastr.success("Job Failed to Cancelled");
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
        $('#contextMenu').hide();
    });

    $('#contextMenu').on('click', '.view', function () {
        var jobId = $('#contextMenu').data('row-id');
        // var justView = true,
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                
                toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "newestOnTop": false,
                    "progressBar": false,
                    "positionClass": "toast-bottom-right",
                    "preventDuplicates": true,
                    "onclick": null,
                    "showDuration": "300",
                    "hideDuration": "1000",
                    "timeOut": "5000",
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut",
                    "toastClass": "toastr-green" // Custom class for green color
                };
                if (response.success) {
                    console.log('viewresponse', response);
                    toastr.success("View Job");
                    $("#newjobId").hide();
                    $("#jobId").show();
                    $("#jobId").text("Job_Id: "+response.data.id)
                    $("#editjbs").val(response.data.id)
                    var dateParts = response.data.date.split('/');
                    var formattedDate = dateParts[1] + '/' + dateParts[0] + '/' + dateParts[2];
                    
                    $("#dateInput").val(formattedDate).prop('disabled', true);
                    $("#timeInput").val(response.data.time).prop('disabled', true);
                    $("#name").val(response.data.name).prop('disabled', true);
                    $("#phone").val(response.data.phone).prop('disabled', true);
                    $("#email").val(response.data.email).prop('disabled', true);
                    $("#pickup").val(response.data.pickup).prop('disabled', true);
                     $("#via").val(response.data.via).prop('disabled', true);
                    $("#viaTwo").val(response.data.via_Two).prop('disabled', true);
                    $("#drops").val(response.data.dropoff).prop('disabled', true);
                    $("#display_distance").val(response.data.distance).prop('disabled', true);
                    $("#priceVal").val(response.data.fare).prop('disabled', true);
                    $("#jobtype").val(response.data.type).prop('disabled', true);
                    $("#cartype").val(response.data.car_type).prop('disabled', true);
                    $("#message").val(response.data.message).prop('disabled', true);
                    $("#Payment_Type").val(response.data.payment_type).prop('disabled', true);
                    $("#Account").val(response.data.account).prop('disabled', true);
                    $("#pax").val(response.data.pax).prop('disabled', true);
                    $("#flight").val(response.data.flight).prop('disabled', true);
                    $("#airline").val(response.data.airline).prop('disabled', true);
                    $("#coming").val(response.data.coming).prop('disabled', true);
                     $("#luggage").val(response.data.luggage).prop('disabled', true);
                     $("#routeSelect").val(response.data.routeSelect).prop('disabled', true);
                    $("#driver").val(response.data.allocate_DriverId).prop('disabled', true);
                     $('#drvPC').val(response.data.Drv_Parking_Charges).prop('disabled', true);
                   $('#drvWC').val(response.data.Drv_Waitting_Charges).prop('disabled', true);
                    $('#extraCharges').val(response.data.Extra_Charges).prop('disabled', true);
                     $('#wt').val(response.data.WT).prop('disabled', true);
                     function updateCheckbox(id, isChecked) {
                        $(id).prop('checked', isChecked).prop('disabled', true);
                    }
    
                    updateCheckbox("#congestion", response.data.congestion == "Congestion Zone Charge");
                    updateCheckbox("#card_reader", response.data.card_reader == "Card Reader");
                    updateCheckbox("#food_delivery", response.data.food_delivery == "Food Delivery");
                    updateCheckbox("#cust", response.data.help_cust == "Help Cust");
                    updateCheckbox("#low_car", response.data.low_car == "Low Car");
                    updateCheckbox("#mask", response.data.mask == "Mask");
                    updateCheckbox("#non_smoking", response.data.non_smoking == "Non Smoking");
                    updateCheckbox("#pet_carrier", response.data.pet_carrier == "Pet Carrier");
                    updateCheckbox("#screen", response.data.screen == "Screen");
                    updateCheckbox("#ulze", response.data.ulze == "Ulez");
                    updateCheckbox("#meet_greet", response.data.meet_greet == "Meet & Greet");
                    
                     if (response.data.type === "Airport") {
                        $('#flightmodal').modal('show');
                    }
    
                    
                    calculateRoute(response.data.pickup, response.data.dropoff);
                    
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });
    $('#contextMenuJob').on('click', '.onboardview', function () {
        var jobId = $('#contextMenuJob').data('row-id');
        $.post('./action/viewdispatch.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                toastr.options = {
                    "closeButton": true,
                    "debug": false,
                    "newestOnTop": false,
                    "progressBar": false,
                    "positionClass": "toast-bottom-right",
                    "preventDuplicates": true,
                    "onclick": null,
                    "showDuration": "300",
                    "hideDuration": "1000",
                    "timeOut": "5000",
                    "extendedTimeOut": "1000",
                    "showEasing": "swing",
                    "hideEasing": "linear",
                    "showMethod": "fadeIn",
                    "hideMethod": "fadeOut",
                    "toastClass": "toastr-green" // Custom class for green color
                };
                if (response.success) {
                    toastr.success("View Job");
                    $("#newjobId").hide();
                    $("#jobId").show();
                    $("#jobId").text("Job_Id: "+response.data.id)
                    $("#editjbs").val(response.data.id)
                  var dateParts = response.data.date.split('/');
                    var formattedDate = dateParts[1] + '/' + dateParts[0] + '/' + dateParts[2];
                    
                    $("#dateInput").val(formattedDate).prop('disabled', true);
                    $("#timeInput").val(response.data.time).prop('disabled', true);
                    $("#name").val(response.data.name).prop('disabled', true);
                    $("#phone").val(response.data.phone).prop('disabled', true);
                    $("#email").val(response.data.email).prop('disabled', true);
                    $("#pickup").val(response.data.pickup).prop('disabled', true);
                    $("#via").val(response.data.via).prop('disabled', true);
                    $("#viaTwo").val(response.data.via_Two).prop('disabled', true);
                    $("#drops").val(response.data.dropoff).prop('disabled', true);
                    $("#display_distance").val(response.data.distance).prop('disabled', true);
                    $("#priceVal").val(response.data.fare).prop('disabled', true);
                    $("#jobtype").val(response.data.type).prop('disabled', true);
                    $("#cartype").val(response.data.car_type).prop('disabled', true);
                    $("#message").val(response.data.message).prop('disabled', true);
                    $("#Payment_Type").val(response.data.payment_type).prop('disabled', true);
                    $("#Account").val(response.data.account).prop('disabled', true);
                   $("#pax").val(response.data.pax).prop('disabled', true);
                     $("#luggage").val(response.data.luggage).prop('disabled', true);
                     $("#routeSelect").val(response.data.routeSelect).prop('disabled', true);
                    $("#driver").prop('disabled', true);
                    $('#drvPC').val(response.data.Drv_Parking_Charges).prop('disabled', true);
                   $('#drvWC').val(response.data.Drv_Waitting_Charges).prop('disabled', true);
                    $('#extraCharges').val(response.data.Extra_Charges).prop('disabled', true);
                     $('#wt').val(response.data.WT).prop('disabled', true);
             
                    calculateRoute(response.data.pickup, response.data.dropoff);
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });
          $('#contextMenuJob').on('click', '.onboardedit', function () {
        var jobId = $('#contextMenuJob').data('row-id');
        $.post('./action/viewdispatch.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
             
                if (response.success) {
                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-bottom-right",
                        "preventDuplicates": true,
                        "onclick": null,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "5000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut",
                        "toastClass": "toastr-green" // Custom class for green color
                    };
                    toastr.success("View Edit Job");
                    $("#newjobId").hide();
                    $("#jobId").show();
                    $("#jobId").text("Job_Id: "+response.data.id);
                    $("#editjbs").val(response.data.id);
                     var dateParts = response.data.date.split('/');
                   var formattedDate = dateParts[1] + '/' + dateParts[0] + '/' + dateParts[2];
                    
                    $("#dateInput").val(formattedDate);
                    $("#timeInput").val(response.data.time);
                    $("#name").val(response.data.name);
                    $("#phone").val(response.data.phone);
                    $("#email").val(response.data.email);
                    $("#pickup").val(response.data.pickup);
                    $("#via").val(response.data.via);
                    $("#viaTwo").val(response.data.via_Two);
                    $("#drops").val(response.data.dropoff);
                    $("#display_distance").val(response.data.distance);
                    $("#priceVal").val(response.data.fare);
                     $("#pickupLocationLonLat").val(response.data.pickupLatLong);
                    $("#dropoffLocationLonLat").val(response.data.dropLatLong);
                    $('#drvPC').val(response.data.Drv_Parking_Charges);
                   $('#drvWC').val(response.data.Drv_Waitting_Charges);
                    $('#extraCharges').val(response.data.Extra_Charges);
                     $('#wt').val(response.data.WT);
             
                    calculateRoute(response.data.pickup, response.data.dropoff);
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });
      $('#contextMenu').on('click', '.edit', function () {
        var jobId = $('#contextMenu').data('row-id');
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
             
                if (response.success) {
                    toastr.options = {
                        "closeButton": true,
                        "debug": false,
                        "newestOnTop": false,
                        "progressBar": false,
                        "positionClass": "toast-bottom-right",
                        "preventDuplicates": true,
                        "onclick": null,
                        "showDuration": "300",
                        "hideDuration": "1000",
                        "timeOut": "5000",
                        "extendedTimeOut": "1000",
                        "showEasing": "swing",
                        "hideEasing": "linear",
                        "showMethod": "fadeIn",
                        "hideMethod": "fadeOut",
                        "toastClass": "toastr-green" // Custom class for green color
                    };
                    toastr.success("View Edit Job");
                    $("#newjobId").hide();
                    $("#jobId").show();
                    $("#jobId").text("Job_Id: "+response.data.id);
                    $("#editjbs").val(response.data.id);
                     var dateParts = response.data.date.split('/');
                 var formattedDate = dateParts[1] + '/' + dateParts[0] + '/' + dateParts[2];
                    
                    $("#dateInput").val(formattedDate);
                    $("#timeInput").val(response.data.time);
                    $("#name").val(response.data.name);
                    $("#phone").val(response.data.phone);
                    $("#email").val(response.data.email);
                    $("#pickup").val(response.data.pickup);
                    $("#via").val(response.data.via);
                    $("#viaTwo").val(response.data.via_Two);
                    $("#drops").val(response.data.dropoff);
                    $("#cartype").val(response.data.car_type);
                    $("#message").val(response.data.message);
                    $("#display_distance").val(response.data.distance);
                    $("#priceVal").val(response.data.fare);
                    $("#Payment_Type").val(response.data.payment_type);
                    $("#Account").val(response.data.account);
                    $("#jobtype").val(response.data.type);
                    $("#pax").val(response.data.pax);
                     $("#luggage").val(response.data.luggage);
                    $("#routeSelect").val(response.data.routeSelect);
                     $("#flight").val(response.data.flight);
                    $("#airline").val(response.data.airline);
                    $("#coming").val(response.data.coming);
                      $("#congestion").prop('checked', response.data.congestion == "Congestion Zone Charge");
                     $("#card_reader").prop('checked', response.data.card_reader == "Card Reader");
                     $("#food_delivery").prop('checked', response.data.food_delivery == "Food Delivery");
                     $("#cust").prop('checked', response.data.help_cust == "Help Cust");
                     $("#low_car").prop('checked', response.data.low_car == "Low Car");
                     $("#mask").prop('checked', response.data.mask == "Mask");
                     $("#non_smoking").prop('checked', response.data.non_smoking == "Non Smoking");
                     $("#pet_carrier").prop('checked', response.data.pet_carrier == "Pet Carrier");
                     $("#screen").prop('checked', response.data.screen == "Screen");
                     $("#ulze").prop('checked', response.data.ulze == "Ulez");
                     $("#meet_greet").prop('checked', response.data.meet_greet == "Meet & Greet");
                     $("#Account").val(response.data.account).prop('disabled', false);
                     $("#driver").val(response.data.allocate_DriverId);
                      $("#pickupLocationLonLat").val(response.data.pickupLatLong);
                    $("#dropoffLocationLonLat").val(response.data.dropLatLong);
                    $('#drvPC').val(response.data.Drv_Parking_Charges);
                   $('#drvWC').val(response.data.Drv_Waitting_Charges);
                    $('#extraCharges').val(response.data.Extra_Charges);
                     $('#wt').val(response.data.WT);
             
                    if (response.data.type === "Airport") {
                        $('#flightmodal').modal('show');
                    }
                    
                    calculateRoute(response.data.pickup, response.data.dropoff);
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });

      $('#contextMenuJob').on('click', '.onboardshowMap', function () {
        var jobId = $('#contextMenuJob').data('row-id');
     
        $.post('./action/viewdispatch.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                    calculateRoute(response.data.pickup, response.data.dropoff);
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
        $('#contextMenu').hide();
      });
      
      $('#contextMenu').on('click', '.showMap', function () {
        var jobId = $('#contextMenu').data('row-id');
     
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                    calculateRoute(response.data.pickup, response.data.dropoff);
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
        $('#contextMenu').hide();
      });

      $('#contextMenu').on('click', '.makeReturn', function () {
        var jobId = $('#contextMenu').data('row-id');
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                    toastr.success("View Job");
                   var dateParts = response.data.date.split('/');
                var formattedDate = dateParts[1] + '/' + dateParts[0] + '/' + dateParts[2];
                    
                    $("#dateInput").val(formattedDate);
                    $("#timeInput").val(response.data.time);
                    $("#name").val(response.data.name);
                    $("#phone").val(response.data.phone);
                    $("#email").val(response.data.email);
                    $("#pickup").val(response.data.dropoff);
                    $("#drops").val(response.data.pickup);
                    $("#display_distance").val(response.data.distance);
                    $("#priceVal").val(response.data.fare);
                  
             
                    calculateRoute(response.data.dropoff, response.data.pickup);
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });

      $('#contextMenu').on('click', '.allocate', function () {
        var jobId = $('#contextMenu').data('row-id');
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                    $("#allocate_jobID").val(response.data.id)
                    $("#jobId_one").text(response.data.id)
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });

    //   $('#contextMenu').on('click', '.unAllocate', function () {
    //     var jobId = $('#contextMenu').data('row-id');
    //     $.post('./action/unAllocate.php', { jobId: jobId }, function (response) {
    //         try {
    //             response = JSON.parse(response);
    //             if (response.success) {
    //                 toastr.success("Un-Allocate Job");
    //             } else {
    //                 alert('Failed to Delete the job. ' + response.message);
    //             }
    //         } catch (error) {
    //             console.error('Error parsing JSON response:', error);
    //         }
    //     });
             

    //     $('#contextMenu').hide();
    //   });
      $('#contextMenu').on('click', '.dispatch', function () {
        var jobId = $('#contextMenu').data('row-id');
        console.log("button :", jobId)
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
                if (response.success) {
                    $("#dispatch_jobID").val(response.data.id)
                    $("#jobId_dispatch").text(response.data.id)
                      $("#location").val(response.data.pickup);
                       ETA();
                } else {
                    alert('Failed to Delete the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
             

        $('#contextMenu').hide();
      });
      
$(document).on('click', '.dispatchBtn', function() {
    // Get the job ID from the button's data attribute
    var jobId = $(this).data('job-id');
    console.log("button :", jobId);

    // Perform the AJAX POST request
    $.post('./action/viewjob.php', { jobId: jobId }, function(response) {
        try {
            response = JSON.parse(response);
            if (response.success) {
                // Set the values in the modal fields
                $("#dispatch_jobID").val(response.data.id);
                $("#jobId_dispatch").text(response.data.id);
                $("#location").val(response.data.pickup);
                ETA(); // Call the ETA function
            } else {
                alert('Failed to retrieve job details. ' + response.message);
            }
        } catch (error) {
            console.error('Error parsing JSON response:', error);
        }
    });
});

      
       function ETA() {
    var jobId = $('#dispatch_jobID').val();
    var pickupLocation = $('#location').val();
    
    console.log("ETA location:",pickupLocation );

    $.ajax({
        url: './action/eta.php',
        method: 'POST',
        data: { pickup_location: pickupLocation },
        dataType: 'json',
        success: function(response) {
            if (response.status === 'success') {
                var etas = response.etas;
                var etaTableBody = $('#etaTable tbody');
                etaTableBody.empty();

                etas.forEach(function(eta) {
                    var row = '<tr>' +
                        '<td>' + eta.driver_id + ' - ' + eta.driver_name + '</td>' +
                        '<td>' + eta.eta + '</td>' +
                        '<td title="' + eta.zone + ' " style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis; max-width: 100px;">' + eta.zone + '</td>' +
                        '<td><button type="button" id="direct_dispatch" class="background btn btn-sm" data-bs-dismiss="modal" data-driver-id="' + eta.driver_id + '">Dispatch</button></td>'
                        '</tr>';
                    etaTableBody.append(row);
                });
            } else {
                console.error(response.message);
            }
        },
       error: function(xhr, status, error) {
    console.error('Error fetching ETAs: ' + status + ', ' + error);
    console.error('Response:', xhr.responseText); // This will show the actual response
}

    });
}
   $('.fetch-job-data').on('click', function () {
        var jobId = $(this).data('job-id');
        console.log("Ahmad :", jobId)
        $.post('./action/viewjob.php', { jobId: jobId }, function (response) {
            try {
                response = JSON.parse(response);
              console.log("Parsed data:", response);
                if (response.success) {
                    $("#dispatch_jobID").val(response.data.id)
                    $("#jobId_dispatch").text(response.data.id)
                } else {
                    alert('Failed to fetch the job. ' + response.message);
                }
            } catch (error) {
                console.error('Error parsing JSON response:', error);
            }
        });
    
        // Optionally, you can hide the context menu here if needed
        $('#contextMenu').hide();
    });
    //   $('#contextMenuJob').on('click', '.un-dispatch', function () {
    //     var jobId = $('#contextMenuJob').data('row-id');
    //     console.log(jobId);
    //     $.post('./action/un-dispatch.php', { jobId: jobId }, function (response) {
    //         try {
    //             response = JSON.parse(response);
    //             if (response.success) {
    //                 toastr.success(response.message);
    //             } else {
    //                 alert('Failed to Delete the job. ' + response.message);
    //             }
    //         } catch (error) {
    //             console.error('Error parsing JSON response:', error);
    //         }
    //     });
             

    //     $('#contextMenu').hide();
    //   });
      function calculateRoute(pickupLocation, dropLocation) {
        console.log("hell i am here", pickupLocation);
      
        const viaLocation = document.getElementById('via').value || null;
        const viaLocationTwo = document.getElementById('viaTwo').value || null;
      
        if (!pickupLocation || !dropLocation) {
            return;
        }
      
        const mapIframe = document.getElementById('map');
        let googleMapsUrl;
      
        if (!viaLocation && !viaLocationTwo) {
            googleMapsUrl = `https://www.google.com/maps/embed/v1/directions?key=AIzaSyAUqM4ouaJI-TpUKkHvGQATb9MN6GLw1o0&origin=${pickupLocation}&destination=${dropLocation}`;
        } else {
            const waypoints = [];
      
            if (viaLocation) {
                waypoints.push(viaLocation);
            }
      
            if (viaLocationTwo) {
                waypoints.push(viaLocationTwo);
            }
      
            googleMapsUrl = `https://www.google.com/maps/embed/v1/directions?key=AIzaSyAUqM4ouaJI-TpUKkHvGQATb9MN6GLw1o0&origin=${pickupLocation}&destination=${dropLocation}&waypoints=${waypoints.join('|')}`;
        }
      
        mapIframe.src = googleMapsUrl;
      
        const request = {
            origin: pickupLocation,
            destination: dropLocation,
            travelMode: 'DRIVING',
            waypoints: [],
        };
      
        if (viaLocation) {
            request.waypoints.push({
                location: viaLocation,
                stopover: true,
            });
        }
      
        if (viaLocationTwo) {
            request.waypoints.push({
                location: viaLocationTwo,
                stopover: true,
            });
        }
      
        directionsService.route(request, function (result, status) {
            if (status == 'OK') {
                directionsRenderer.setDirections(result);
      
                let totalDistance = 0;
                let totalDuration = 0;
      
                const routes = result.routes;
                for (let i = 0; i < routes.length; i++) {
                    const route = routes[i];
                    for (let j = 0; j < route.legs.length; j++) {
                        totalDistance += route.legs[j].distance.value;
                        totalDuration += route.legs[j].duration.value;
                        const leg = route.legs[j];
                        addMarker(leg.start_location, 'Pickup', 'red-circle.png');
      
                        if (j === route.legs.length - 1) {
                            addMarker(leg.end_location, 'Drop', 'red-circle.png');
                        }
      
                        if (j < route.legs.length - 1) {
                            addMarker(leg.end_location, `Via ${j + 1}`, 'red-circle.png');
                        }
                    }
                }
      
                const totalDistanceInMiles = (totalDistance / 1609.344).toFixed(0);
      
                const hours = Math.floor(totalDuration / 3600);
                const minutes = Math.floor((totalDuration % 3600) / 60);
      
                const totalDurationText = `${hours} hrs ${minutes} mins`;
      
                // Display the distance and time in your form
                inputDistance = document.getElementById('display_distance');
                inputDistance.value = `${totalDistanceInMiles}`;
                // calculateDistanceAndFare();
      
                const inputTime = document.getElementById('Times');
               
                inputTime.value = totalDurationText;
      
            } else {
                alert("Error calculating the route");
            }
        });
      }

 
      
      // Additional function to handle clearing input fields and updating date and time
      
});



$(document).ready(function () {
    $("#plot").on("click", function () {
        // event.preventDefault();
        var selectedDriverId = $("#D_Plotdrivers").val();
        console.log("",selectedDriverId);
        // var selectedZone = $("#plotZone").val();
        $.ajax({
            type: "POST",
            url: "./action/plot.php",
            data: {
                driverId: selectedDriverId,
                // zone: selectedZone
            },
            success: function (response) {
                console.log(response);
            },
            error: function (xhr, status, error) {
                console.error("AJAX request failed:", status, error);
            }
        });
        
    });
});

          $('#contextMenuwaiting').on('click', '.unplot', function () {
        var selectedDriverId = $('#contextMenuwaiting').data('driver-id');
     
         $.ajax({
            type: "POST",
            url: "./action/unplot.php",
            data: {
                driverId: selectedDriverId,
                // zone: selectedZone
            },
            success: function (response) {
                window.location.reload();
            },
            error: function (xhr, status, error) {
                console.error("AJAX request failed:", status, error);
            }
        });
             

        $('#contextMenuwaiting').hide();
      });

// $(document).ready(function () {
//     $("#Unplot").on("click", function () {
//         // event.preventDefault();
//         var selectedDriverId = $("#D_Plotdriver").val();
//         console.log("",selectedDriverId);
//         var selectedZone = $("#plotZone").val();
//         $.ajax({
//             type: "POST",
//             url: "./action/unplot.php",
//             data: {
//                 driverId: selectedDriverId,
//                 // zone: selectedZone
//             },
//             success: function (response) {
//                 console.log(response);
//             },
//             error: function (xhr, status, error) {
//                 console.error("AJAX request failed:", status, error);
//             }
//         });
//         // return false
//     });
// });


$('#contextMenu').on('click', '.jobinformation', function () {
    var jobId = $('#contextMenu').data('row-id');
    console.log(jobId);

    $.ajax({
        url: 'action/jobinformation.php', // Replace with your endpoint
        type: 'GET',
        data: {
            job_id: jobId
        },
        success: function(response) {
            console.log('sdadas',response);
            var jobData = response.job;
var driverData = response.driver;
var dispatchHistory = response.dispatch_history;
var edit_history = response.edit_history;

            $('#jobDetailsTable tbody').empty();
            $('#jobFareTable tbody').empty();
            $('#dispatch_table tbody').empty(); // Clear the dispatch table as well
            $('#jobRef').text(`Job Ref #${jobData.id}`);

            if (driverData) {
                $('#phc_driver').html(`
                    <strong class="job_information" style="font-weight: 500; font-size: 15px;">PHC Driver : </strong>
                    <strong class="job_information" style="font-weight: 400; font-size: 12px;">${driverData.Pco_License_No}</strong>
                `).show();

                $('#phc_vehicle').html(`
                    <strong class="job_information" style="font-weight: 500; font-size: 15px;">PHC Vehicle : </strong>
                    <strong class="job_information" style="font-weight: 400; font-size: 12px;">${driverData.Vehicle_License_No}</strong>
                `).show();

                $('#vehicle_details').html(`
                    <strong class="job_information" style="font-weight: 500; font-size: 15px;">Vehicle Details : </strong> 
                    <strong class="job_information" style="font-weight: 400; font-size: 12px;">${driverData.Registration}-${driverData.Make_By}-${driverData.Car_Model}</strong>
                `).show();
            } else {
                $('#phc_driver').hide();
                $('#phc_vehicle').hide();
                $('#vehicle_details').hide();
            }

            // Date format conversion
            var formattedDate;
            if (jobData.date.includes('/')) {
                let originalDate = jobData.date.split('/');
                formattedDate = `${originalDate[1]}/${originalDate[0]}/${originalDate[2]}`;
            } else if (jobData.date.includes('-')) {
                let originalDate = jobData.date.split('-');
                formattedDate = `${originalDate[2]}/${originalDate[1]}/${originalDate[0]}`;
            } else {
                formattedDate = jobData.date;
            }
var details = [
    jobData.congestion || '',
    jobData.card_reader || '',
    jobData.food_delivery || '',
    jobData.help_cust || '',
    jobData.low_car || '',
    jobData.mask || '',
    jobData.non_smoking || '',
    jobData.pet_carrier || '',
    jobData.screen || '',
    jobData.meet_greet || '',
    jobData.ulze || ''
].join(' ');
 var jobRow = `
        <tr>
        <td>${formattedDate} ${jobData.time}</td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${jobData.pickup || ''}">${jobData.pickup || ''}</span>
        </td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${jobData.via || ''}">${jobData.via || ''}</span>
        </td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${jobData.dropoff || ''}">${jobData.dropoff || ''}</span>
        </td>
        <td>${jobData.name || ''}</td>
        <td>${jobData.phone || ''}</td>
        <td>${jobData.car_type || ''}</td>
        <td>£${jobData.fare || ''}</td>
        <td>${jobData.payment_type || ''}</td>
        <td>${jobData.account || ''}</td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 90px;">
            <span title="${jobData.message || ''}">${jobData.message || ''}</span>
        </td>
        <td>${jobData.flight || ''}</td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${details}">${details}</span>
        </td>
        <td>${jobData.book_on || ''}</td>
        <td>${jobData.book_by || ''}</td>
    </tr>
`;
$('#jobDetailsTable tbody').append(jobRow);

            // Populate the second table with fare
            var fareRow = `
                <tr>
                    <td>${jobData.dispatch_by || ''}</td>
                    <td>${jobData.dispatch_time || ''}</td>
                    <td>${jobData.dispatch_DriverId || ''}</td>
                    <td>${jobData.accept_time || ''}</td>
                    <td>${jobData.pickup_time || ''}</td>
                    <td>${jobData.pob_time || ''}</td>
                    <td>${jobData.stc_time || ''}</td>
                    <td>${jobData.cleared || ''}</td>
                    <td>${jobData.status || ''}</td>
                </tr>
            `;
            $('#jobFareTable tbody').append(fareRow);

            // Show dispatch table only if dispatch_time exists
           $('#dispatch_table tbody').empty(); 

// Show the dispatch table only if undispatchtime exists
if (dispatchHistory && dispatchHistory.length > 0) {
    dispatchHistory.forEach(function(history) {
        var row = `
            <tr>
                <td>Job Dispatched to Drv(${history.driver_id})</td>
                <td>${history.dispatch_by || ''}</td>
                <td>${history.dispatch_time || ''}</td>
                <td>${history.reject_time ? 'Job Rejected' : 'Job Accepted'}</td>
                <td>${history.reject_time || history.dispatch_time || ''}</td>
            </tr>
        `;
        $('#dispatch_table tbody').append(row);
    });
}
if (jobData.undispatchtime) {
    var undispatchRow = `
        <tr>
            <td>Job is Undispatched</td>
            <td>${jobData.dispatch_by || ''}</td>
            <td>${jobData.undispatchtime || ''}</td>
        </tr>
    `;
    $('#dispatch_table tbody').append(undispatchRow);
}

// Check if there is any dispatch history and append it to the table


// Show the table if either condition (undispatchtime or dispatchHistory) is met
if (jobData.undispatchtime || (dispatchHistory && dispatchHistory.length > 0)) {
    console.log("Showing table");
    $('#show_table').show();
} else {
    console.log("Hiding table");
    $('#show_table').hide();
}
if (edit_history && edit_history.length > 0) {
    // Clear the table content before appending new data
    $('#editjob_table tbody').empty(); 
    edit_history.forEach(function(edit) {
        var beforeData = JSON.parse(edit.edit_before);
        var afterData = JSON.parse(edit.edit_after);

        // Compare data
        var differences = getDifferences(beforeData, afterData);
        for (var key in differences) {
            $('#editjob_table tbody').append(`
                <tr>
                    <td>${edit.update_by}</td>
                    <td>${key}: ${differences[key].before}</td>
                    <td>${key}: ${differences[key].after}</td>
                    <td>${edit.update_on}</td>
                </tr>
            `);
        }
    });
    // Show the edit_table if there is edit history
    $('#edit_table').show();
} else {
    // Hide the edit_table if there is no edit history
    $('#edit_table').hide();
}

// Function to get differences between before and after data
function getDifferences(before, after) {
    var diff = {};
    for (var key in before) {
        if (before[key] !== after[key]) {
            diff[key] = {
                before: before[key],
                after: after[key]
            };
        }
    }
    return diff;
}
    
        },
        error: function(xhr, status, error) {
            console.error(error);
        }
    });
});





$('#contextMenuJob').on('click', '.jobinformation', function () {
    var jobId = $('#contextMenuJob').data('row-id');
    console.log(jobId);
$.ajax({
    url: 'action/jobinformation.php',
    type: 'GET',
    data: {
        job_id: jobId
    },
    success: function(response) {
var jobData = response.job;
var driverData = response.driver;
var dispatchHistory = response.dispatch_history;
var edit_history = response.edit_history;
console.log(response);

$('#jobDetailsTable tbody').empty();
$('#jobFareTable tbody').empty();
// $('#edit_table tbody').empty();
// $('#show_table tbody').empty();
$('#jobRef').text(`Job Ref #${jobData.id}`);
if (driverData) {

$('#phc_driver').html(`
    <strong class="job_information" style="font-weight: 500; font-size: 15px;">PHC Driver : </strong>
    <strong class="job_information" style="font-weight: 400; font-size: 12px;">${driverData.Pco_License_No}</strong>
`).show();

$('#phc_vehicle').html(`
    <strong class="job_information" style="font-weight: 500; font-size: 15px;">PHC Vehicle : </strong>
    <strong class="job_information" style="font-weight: 400; font-size: 12px;">${driverData.Vehicle_License_No}</strong>
`).show();

$('#vehicle_details').html(`
    <strong class="job_information" style="font-weight: 500; font-size: 15px;">Vehicle Details : </strong> 
    <strong class="job_information" style="font-weight: 400; font-size: 12px;">${driverData.Registration}-${driverData.Make_By}-${driverData.Car_Model}</strong>
`).show();    
} else {
    $('#phc_driver').hide();
    $('#phc_vehicle').hide();
    $('#vehicle_details').hide();
}
 // Date format conversion
            var formattedDate;
            if (jobData.date.includes('/')) {
                // If date is in mm/dd/yyyy format, convert it to dd/mm/yyyy
                let originalDate = jobData.date.split('/'); // Splitting the date into [mm, dd, yyyy]
                formattedDate = `${originalDate[1]}/${originalDate[0]}/${originalDate[2]}`; // Convert to dd/mm/yyyy
            } else if (jobData.date.includes('-')) {
                // If date is in yyyy-mm-dd format, convert it to dd/mm/yyyy
                let originalDate = jobData.date.split('-'); // Splitting the date into [yyyy, mm, dd]
                formattedDate = `${originalDate[2]}/${originalDate[1]}/${originalDate[0]}`; // Convert to dd/mm/yyyy
            } else {
                formattedDate = jobData.date; // Fallback for unexpected formats
            }
var details = [
    jobData.congestion || '',
    jobData.card_reader || '',
    jobData.food_delivery || '',
    jobData.help_cust || '',
    jobData.low_car || '',
    jobData.mask || '',
    jobData.non_smoking || '',
    jobData.pet_carrier || '',
    jobData.screen || '',
    jobData.meet_greet || '',
    jobData.ulze || ''
].join(' ');            
 var jobRow = `
    <tr>
        <td>${formattedDate} ${jobData.time}</td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${jobData.pickup || ''}">${jobData.pickup || ''}</span>
        </td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${jobData.via || ''}">${jobData.via || ''}</span>
        </td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${jobData.dropoff || ''}">${jobData.dropoff || ''}</span>
        </td>
        <td>${jobData.name || ''}</td>
        <td>${jobData.phone || ''}</td>
        <td>${jobData.car_type || ''}</td>
        <td>£${jobData.fare || ''}</td>
        <td>${jobData.payment_type || ''}</td>
        <td>${jobData.account || ''}</td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 90px;">
            <span title="${jobData.message || ''}">${jobData.message || ''}</span>
        </td>
        <td>${jobData.flight || ''}</td>
        <td style="font-size: 12px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; max-width: 180px;">
            <span title="${details}">${details}</span>
        </td>
        <td>${jobData.book_on || ''}</td>
        <td>${jobData.book_by || ''}</td>
    </tr>
`;
$('#jobDetailsTable tbody').append(jobRow);

// Populate the second table with fare
var fareRow = `
    <tr>
        <td>${jobData.dispatch_by || ''}</td>
        <td>${jobData.dispatch_time || ''}</td>
        <td>${jobData.dispatch_DriverId || ''}</td>
        <td>${jobData.accept_time || ''}</td>
        <td>${jobData.pickup_time || ''}</td>
        <td>${jobData.pob_time || ''}</td>
        <td>${jobData.stc_time || ''}</td>
        <td>${jobData.cleared || ''}</td>
        <td>${jobData.status || ''}</td>
    </tr>
`;
$('#jobFareTable tbody').append(fareRow);
            $('#dispatch_table tbody').empty(); 

// Show the dispatch table only if undispatchtime exists
if (dispatchHistory && dispatchHistory.length > 0) {
    dispatchHistory.forEach(function(history) {
        var row = `
            <tr>
                <td>Job Dispatched to Drv(${history.driver_id})</td>
                <td>${history.dispatch_by || ''}</td>
                <td>${history.dispatch_time || ''}</td>
                <td>${history.reject_time ? 'Job Rejected' : 'Job Accepted'}</td>
                <td>${history.reject_time || history.dispatch_time || ''}</td>
            </tr>
        `;
        $('#dispatch_table tbody').append(row);
    });
}
if (jobData.undispatchtime) {
    var undispatchRow = `
        <tr>
            <td>Job is Undispatched</td>
            <td>${jobData.dispatch_by || ''}</td>
            <td>${jobData.undispatchtime || ''}</td>
        </tr>
    `;
    $('#dispatch_table tbody').append(undispatchRow);
}

// Check if there is any dispatch history and append it to the table


// Show the table if either condition (undispatchtime or dispatchHistory) is met
if (jobData.undispatchtime || (dispatchHistory && dispatchHistory.length > 0)) {
    console.log("Showing table");
    $('#show_table').show();
} else {
    console.log("Hiding table");
    $('#show_table').hide();
}
         if (edit_history && edit_history.length > 0) {
    // Clear the table content before appending new data
    $('#editjob_table tbody').empty(); 
    edit_history.forEach(function(edit) {
        var beforeData = JSON.parse(edit.edit_before);
        var afterData = JSON.parse(edit.edit_after);

        // Compare data
        var differences = getDifferences(beforeData, afterData);
        for (var key in differences) {
            $('#editjob_table tbody').append(`
                <tr>
                    <td>${edit.update_by}</td>
                    <td>${key}: ${differences[key].before}</td>
                    <td>${key}: ${differences[key].after}</td>
                    <td>${edit.update_on}</td>
                </tr>
            `);
        }
    });
    // Show the edit_table if there is edit history
    $('#edit_table').show();
} else {
    // Hide the edit_table if there is no edit history
    $('#edit_table').hide();
}

// Function to get differences between before and after data
function getDifferences(before, after) {
    var diff = {};
    for (var key in before) {
        if (before[key] !== after[key]) {
            diff[key] = {
                before: before[key],
                after: after[key]
            };
        }
    }
    return diff;
}

},
    error: function(xhr, status, error) {
        console.error(error);
    }
});
});















