$(document).ready(function() {
    
         $('#openPopupButton').on('click', function() {
            console.log("hitting the sms button");
            $('#customPopupSMS').show();
        });

        // Close popup
        $('#clearClose, #SendSMS').on('click', function() {
            $('#customPopupSMS').hide();
         
        });
    
    $('#dropdown').on('click', function(event) {
        event.preventDefault();
        $('#dropdownMenu').toggle();
    });

    $(document).on('click', function(event) {
        if (!$(event.target).closest('#dropdown, #dropdownMenu').length) {
            $('#dropdownMenu').hide();
        }
    });

    $('#pickDrivers').on('click', function() {
        fetchDrivers(); // Call the function to fetch drivers
        $('#driverPopup').show(); // Show the popup
    });

    $('#pickCustomers').on('click', function() {
        fetchCustomers(); // Call the function to fetch customers
        $('#customerPopup').show(); // Show the popup
    });

    function fetchDrivers() {
        $.ajax({
            url: './action/fetch_drivers.php', // Path to your PHP script
            type: 'GET',
            success: function(response) {
                try {
                    let data = JSON.parse(response); // Parse the JSON response
                    if (data.success) {
                        let drivers = data.drivers;
                        let driverTableBody = $('#driverTable tbody');
                        driverTableBody.empty(); // Clear existing rows

                        // Populate the table with driver data
                        drivers.forEach(function(driver) {
                            let row = `<tr>
                                        <td><input type="checkbox" class="selectDriver"></td>
                                        <td>${driver.Driver_id}</td>
                                        <td>${driver.Name}</td>
                                        <td>${driver.Phone}</td>
                                       </tr>`;
                            driverTableBody.append(row);
                        });
                    } else {
                        alert(data.message);
                    }
                } catch (error) {
                    console.error('Error parsing JSON response:', error);
                }
            },
            error: function() {
                alert('Error fetching driver data.');
            }
        });
    }

    function fetchCustomers() {
        $.ajax({
            url: './action/fetch_customers.php', // Path to your PHP script
            type: 'GET',
            success: function(response) {
                try {
                    let data = JSON.parse(response); // Parse the JSON response
                    if (data.success) {
                        let customers = data.customers;
                        let customersTableBody = $('#customerTable tbody');
                        customersTableBody.empty(); // Clear existing rows

                        // Populate the table with customer data
                        customers.forEach(function(customer) {
                            let row = `<tr>
                                        <td><input type="checkbox" class="selectCustomer"></td>
                                        <td>${customer.id}</td>
                                        <td>${customer.name}</td>
                                        <td>${customer.phone}</td>
                                       </tr>`;
                            customersTableBody.append(row);
                        });
                    } else {
                        alert(data.message);
                    }
                } catch (error) {
                    console.error('Error parsing JSON response:', error);
                }
            },
            error: function() {
                alert('Error fetching customer data.');
            }
        });
    }

    function updateSelectedDriverPhones() {
        let selectedPhones = [];
        $('.selectDriver:checked').each(function() {
            let row = $(this).closest('tr');
            let phone = row.find('td:nth-child(4)').text(); // Get the phone number from the 4th column
            selectedPhones.push(phone);
        });
        $('#allNumber').val(selectedPhones.join(', ')); // Update the input field with the selected phones
    }
       function updateSelectedustomerPhones() {
        let selectedPhones = [];
        $('.selectCustomer:checked').each(function() {
            let row = $(this).closest('tr');
            let phone = row.find('td:nth-child(4)').text(); // Get the phone number from the 4th column
            selectedPhones.push(phone);
        });
        $('#allNumber').val(selectedPhones.join(', ')); // Update the input field with the selected phones
    }

    // Event listener for individual driver checkbox change
    $(document).on('change', '.selectDriver', function() {
        updateSelectedDriverPhones(); // Update the phone numbers when a checkbox is checked/unchecked
    });
    
      $(document).on('change', '.selectCustomer', function() {
        updateSelectedustomerPhones(); // Update the phone numbers when a checkbox is checked/unchecked
    });

    // Event listener for "Select All" checkbox
    $('#selectAll').on('change', function() {
        $('.selectDriver').prop('checked', $(this).prop('checked'));
        updateSelectedDriverPhones(); // Update the phone numbers when "Select All" is toggled
    });

     $('#selectAllCustomer').on('change', function() {
        $('.selectCustomer').prop('checked', $(this).prop('checked'));
        updateSelectedustomerPhones();
       // Update the phone numbers when "Select All" is toggled
    });
    $('#clearNumber, #clearClose, #SendSMS').on('click', function() {
        $('#allNumber').val('');   // Clear the value of the input with id "allNumber"
        $('#SMSForJob').val('');   // Clear the value of the input with id "SMSForJob"
    });

    $('#closePopup, #confirmSelection').on('click', function() {
        $('#driverPopup').hide();
    });

    $('#closePopupCustomer, #closedCustomer').on('click', function() {
        $('#customerPopup').hide();
    });

    $('#minimizePopup').on('click', function() {
        $('#customPopupSMS').hide();
        $('#minimizedPopup').show();
    });

    // Restore the popup when the minimized bar is clicked
    $('#restorePopup').on('click', function() {
        $('#minimizedPopup').hide();
        $('#customPopupSMS').show();
    });
    

});
