<?php
include("db/db.php");
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $statement_id = isset($_POST['statement_id']) ? $_POST['statement_id'] : null;

    if ($statement_id) {
        // Prepare the SQL query to update the driver_statement table
        $update_query = "UPDATE driver_statement 
                         SET credit = NULL, debit = NULL, description = NULL 
                         WHERE id = ?";
        
        // Use prepared statement to prevent SQL injection
        if ($stmt = $con->prepare($update_query)) {
            $stmt->bind_param("i", $statement_id);

            if ($stmt->execute()) {
                echo json_encode(['success' => true, 'message' => 'Transaction removed successfully']);
            } else {
                echo json_encode(['success' => false, 'message' => 'Error removing transaction: ' . $stmt->error]);
            }

            $stmt->close();
        } else {
            echo json_encode(['success' => false, 'message' => 'Error preparing statement: ' . $con->error]);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Invalid transaction ID']);
    }

    $con->close();
}
?>
