<?php
require __DIR__ . "/vendor/autoload.php";

use Dompdf\Dompdf;
use Dompdf\Options;

$data = isset($_POST['data']) ? json_decode($_POST['data'], true) : null;
$totalJobsCompleted = isset($_POST['totalJobsCompleted']) ? $_POST['totalJobsCompleted'] : '';
$total_cash_jobs = isset($_POST['total_cash_jobs']) ? $_POST['total_cash_jobs'] : '';
$total_cash_fare = isset($_POST['total_cash_fare']) ? $_POST['total_cash_fare'] : '';
$totalAccount = isset($_POST['totalAccount']) ? $_POST['totalAccount'] : '';
$commission_percentage = isset($_POST['commission_percentage']) ? $_POST['commission_percentage'] : '';
$totalCash = isset($_POST['totalCash']) ? $_POST['totalCash'] : '';
$total_card_jobs_count= isset($_POST['total_card_jobs_count']) ? $_POST['total_card_jobs_count'] : '';
$total_card_amount = isset($_POST['total_card_amount']) ? $_POST['total_card_amount'] : '';

if ($data !== null && is_array($data) && !empty($data)) {
    $html = '<html>
    <head>
    <style>
    body {
        font-family: Arial, sans-serif;
    }

    h1 {
        color: #6f42c1;
        text-align: center;
        margin-bottom: 20px;
    }

    table {
        width: 100%;
        border-collapse: collapse;
        margin-bottom: 20px;
    }

    th, td {
        padding: 5px 10px !important;
        font-size: 14px;
        font-weight: bold;
        border: 1px solid #ccc;
    }

    th {
        background: #6f42c1 linear-gradient(180deg, #855eca, #6f42c1) repeat-x;
        color: white;
        white-space: nowrap;
    }

    td {
        padding: 5px 10px;
        font-size: 10px;
        border: 1px solid #ccc; 
    }

    h2 {
        color: #6f42c1;
        text-align: center;
        margin-top: 20px;
    }

    tfoot {
        font-weight: bold;
    }
    </style>
    </head>
    <body>
    <div class="container">';

    $html .= '<h1>Driver Productivity</h1>';
    $html .= '<table>';
    $html .= '<thead>';
    $html .= '<tr>';
    $html .= '<th>Dr</th>';
    $html .= '<th>Name</th>';
    $html .= '<th>Complete</th>';
    $html .= '<th>Cash Jobs</th>';
    $html .= '<th>Cash</th>';
    $html .= '<th>Card Jobs</th>';
    $html .= '<th>Cash</th>';
    $html .= '<th>Account Jobs</th>';
    $html .= '<th>Account</th>';
    $html .= '<th>Total Cash</th>';
    $html .= '<th>Payment_Type</th>';
    $html .= '<th>Amount Due</th>';
    $html .= '</tr>';
    $html .= '</thead>';
    $html .= '<tbody>';

    foreach ($data as $row) {
        $html .= '<tr>';
        $html .= '<td>' . htmlspecialchars($row[0]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[1]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[2]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[3]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[4]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[5]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[6]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[7]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[8]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[9]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[10]) . '</td>';
        $html .= '<td>' . htmlspecialchars($row[11]) . '</td>';
        $html .= '</tr>';
    }

    $html .= '</tbody>';
    $html .= '<tfoot>';
    $html .= '<tr>';
    $html .= '<td colspan="3">Total Jobs Completed: ' . htmlspecialchars($totalJobsCompleted) . '</td>';
    $html .= '<td colspan="2">Total Cash Jobs: ' . htmlspecialchars($total_cash_jobs) . ' (£' . htmlspecialchars($total_cash_fare) . ')</td>';
    $html .= '<td colspan="2">Total Card Jobs: ' . htmlspecialchars($total_card_jobs_count) . ' (£' . htmlspecialchars($total_card_amount) . ')</td>';
    $html .= '<td colspan="2">Total Account Jobs: ' . htmlspecialchars($totalAccount) . '</td>';
    $html .= '<td colspan="1">Total Amount: £' . htmlspecialchars($totalCash) . '</td>';
    $html .= '<td colspan="2">Total CC: £' . htmlspecialchars($commission_percentage) . '</td>';
    $html .= '</tr>';
    $html .= '</tfoot>';
    $html .= '</table>';

    $html .= '<h2>Thank You</h2>';

    $html .= '</div></body></html>';

    $options = new Options;
    $options->setChroot(__DIR__);
    $options->setIsHtml5ParserEnabled(true);
    $options->setIsPhpEnabled(true);

    $dompdf = new Dompdf($options);

    $dompdf->setPaper("A4", "landscape"); // Change to landscape mode
    $dompdf->loadHtml($html);
    $dompdf->render();

    header('Content-Type: application/pdf');
    header('Content-Disposition: attachment;filename="all_completed_jobs.pdf"');
    header('Cache-Control: private, max-age=0, must-revalidate');
    header('Pragma: public');
    header('Expires: Sat, 26 Jul 1997 05:00:00 GMT');

    echo $dompdf->output();
} else {
    echo 'Error: No data received or invalid data format.';
}

?>
