<?php

require __DIR__ . "/vendor/autoload.php";

use Dompdf\Dompdf;
use Dompdf\Options;

$table1 = isset($_GET['table1']) ? json_decode($_GET['table1'], true) : [];
$table2 = isset($_GET['table2']) ? json_decode($_GET['table2'], true) : [];
$invoice_no = isset($_GET['invoice_no']) ? htmlspecialchars($_GET['invoice_no']) : 'N/A';
$invoice_date = isset($_GET['invoice_date']) ? htmlspecialchars($_GET['invoice_date']) : 'N/A';

if (!empty($table1) || !empty($table2)) {
    include('db/db.php');
    $query = "SELECT * FROM `sub_company`";
    $result = mysqli_query($con, $query);
    
    if ($result && mysqli_num_rows($result) > 0) {
        $heading = mysqli_fetch_assoc($result);
        $cleanedPath = str_replace("../", "https://cabmaster.live/", $heading["company_logo"]);
        $fullPath = $cleanedPath;
    $html = '<html>
    <head>
    <style>
    .first {
        border-collapse: collapse;
        border: 1px solid black;
    }

    .first th, .first td {
        border: 1px solid black;
    }
    
    .second {
        border-collapse: collapse;
        border: 1px solid red;
    }

    .second th, .second td {
        border: 1px solid red;
    }
         img {
            width: 200px;
            height: 200px;
            margin-right: 20px;
        }
        .col-md-5{
position: absolute;
    left: 798px;
          top:20px; 
           color:#1556adb8;
        }
        p{
               font-weight: 700;
        }
</style>

    <body>';
    $html .= '<div class="container-fluid">
    <div class="row align-items-center"> <!-- align-items-center for vertical centering -->
        <div class="col-md-6">
            <img src="' . htmlspecialchars($fullPath) . '" alt="Company Logo" class="border">
        </div>
        <div class="col-md-5">
            <p>Invoice No: ' . $invoice_no . '</p>
            <p>Invoice Date: ' . $invoice_date . '</p>
            <p>Name: <span>' . htmlspecialchars($heading["name"]) . '</span></p>
            <p>Telephone: <span>' . htmlspecialchars($heading["telephone"]) . '</span></p>
            <p>Address: <span>' . htmlspecialchars($heading["address"]) . '</span></p>
        </div>
    </div>
  </div>';

    $html .= '<h2 style="color:#1556adb8;text-align:center;margin:30px 0px;">Passenger Invoice</h2>';

    // Table 1: First table data
    $html .= '<table class="first" style="width: 100%; margin-bottom: 20px;text-align:center; border-collapse: collapse; border: 1px solid black;">';
    $html .= '<thead>';
    $html .= '<tr>';
    $html .= '<th style="background-color: #1556adb8; border: 1px solid black;">Passenger Name</th>';
    $html .= '<th style="background-color: #1556adb8; border: 1px solid black;">Phone</th>';
    $html .= '<th style="background-color: #1556adb8; border: 1px solid black;">Job Type</th>';
    $html .= '</tr>';
    $html .= '</thead>';
    $html .= '<tbody>';
    foreach ($table1 as $row) {
        $html .= '<tr>';
        foreach ($row as $cell) {
            $html .= '<td style="border: 1px solid black;">' . htmlspecialchars($cell) . '</td>';
        }
        $html .= '</tr>';
    }
    $html .= '</tbody>';
    $html .= '</table>';

    // Table 2: Second table data
    $html .= '<table class="second" style="width: 100%; margin-bottom: 100px;text-align:center; border-collapse: collapse; border: 1px solid red;">';
    $html .= '<thead>';
    $html .= '<tr>';
    $html .= '<th style="border: 1px solid red;">Date and Time</th>';
    $html .= '<th style="border: 1px solid red;">Pickup</th>';
    $html .= '<th style="border: 1px solid red;">Dropoff</th>';
    $html .= '<th style="border: 1px solid red;">Fare</th>';
    $html .= '</tr>';
    $html .= '</thead>';
    $html .= '<tbody>';
    foreach ($table2 as $row) {
        $html .= '<tr>';
        foreach ($row as $cell) {
            $html .= '<td style="border: 1px solid red;">' . htmlspecialchars($cell) . '</td>';
        }
        $html .= '</tr>';
    }
    $html .= '</tbody>';
    $html .= '</table>';
    $html .= '<h1 style="color:#1556adb8;text-align:center;margin:5px 0px;">Thank You</h1>';

    $html .= '</body></html>';

 $options = new Options;
        $options->set('isRemoteEnabled', true);
        $options->setChroot(__DIR__);
        $options->setIsHtml5ParserEnabled(true);
        $options->setIsPhpEnabled(true);

        $dompdf = new Dompdf($options);
        $dompdf->setPaper("A4", "landscape");
        $dompdf->loadHtml($html);

        $dompdf->render();

        $pdfOutput = $dompdf->output();
        header('Content-Type: application/pdf');
        header('Content-Disposition: attachment; filename="Passenger_Invoice.pdf"');
        header('Cache-Control: private, max-age=0, must-revalidate');
        header('Pragma: public');
        header('Expires: Sat, 26 Jul 1997 05:00:00 GMT');
        header('Content-Length: ' . strlen($pdfOutput));

        echo $pdfOutput;
} else {
    echo 'Error: Failed to retrieve heading data.';
}
} else {
    echo 'Error: Insufficient data received.';
}
?>