<?php
include("middleware/middleware.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Track Driver</title>
   
    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
    <!-- CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
     <link href="https://api.mapbox.com/mapbox-gl-js/v3.7.0/mapbox-gl.css" rel="stylesheet">
    <script src="https://api.mapbox.com/mapbox-gl-js/v3.7.0/mapbox-gl.js"></script>
    <link href="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-directions/v4.1.1/mapbox-gl-directions.css" rel="stylesheet">
    <script src="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-directions/v4.1.1/mapbox-gl-directions.js"></script>

    <link rel="icon" href="assets/images/Adminicon.png" type="image/x-icon">
</head>
<body>

<div class="container-fluid mt-2 " style="border: 2px solid #d0d5de;height:90vh">
    <div class="text-center d-flex align-items-center">
        <h4 style="margin-right:34px;">Estimated Time: <span id="pickupTime"></span>, Distance: <span id="distance"></span></h4>    <input type="radio" name="locationRadio" value="pickup" checked> Pickup
        <input style="margin-left:10px;" type="radio" name="locationRadio" value="dropoff"> Destination
    </div>
    <!--<div class="text-center mb-3">-->
    
    <!--</div>-->
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-12 mapshow p-0 h-100">
                    <div id="map_canvas" style="position: relative; overflow: hidden; height: 85vh;"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Turf.js/6.5.0/turf.min.js"></script>



<script>



$(document).ready(function() {
    var urlParams = new URLSearchParams(window.location.search);
    var jobId = urlParams.get('jobId');
    var map;
    var driverMarker;
    var pickupMarker;
    var dropoffMarker;
    var previousPosition = null;

    // Initialize Mapbox
    function initMap(data) {
        mapboxgl.accessToken = 'pk.eyJ1IjoiaXRsb2dpc29sdXRpb25zIiwiYSI6ImNtMjNkZGo5czA0eHMyanM2aWN2YTY1YTAifQ.l4Fh6K-t8pMiNcQx8ngwxw'; // Replace with your Mapbox token
        map = new mapboxgl.Map({
            container: 'map_canvas',
            style: 'mapbox://styles/mapbox/streets-v11',
            center: [parseFloat(data.driverLongitude), parseFloat(data.driverLatitude)],
            zoom: 14
        });

        // Driver, Pickup, and Dropoff Markers
        createMarkers(data);
        calculateAndDisplayRoute(data, "pickup"); // Initial calculation for pickup location
    }

    function createMarkers(data) {
        // Driver marker
        driverMarker = new mapboxgl.Marker({
            element: createDriverMarkerElement(data.driverId),
            anchor: 'bottom'
        }).setLngLat([parseFloat(data.driverLongitude), parseFloat(data.driverLatitude)]).addTo(map);

        // Pickup marker
        pickupMarker = new mapboxgl.Marker().setLngLat([parseFloat(data.pickupLongitude), parseFloat(data.pickupLatitude)]).addTo(map);
        new mapboxgl.Popup()
            .setLngLat([parseFloat(data.pickupLongitude), parseFloat(data.pickupLatitude)])
            .setHTML(`<div style="background-color:#6f42c1; color:white;padding:5px;text-align:center;"><strong>Pickup Location</strong></div>
                      <div style="color:black;padding:5px;"><strong>${data.pickup}</strong></div>`)
            .addTo(map);

        // Dropoff marker
        dropoffMarker = new mapboxgl.Marker().setLngLat([parseFloat(data.dropoffLongitude), parseFloat(data.dropoffLatitude)]).addTo(map);
        new mapboxgl.Popup()
            .setLngLat([parseFloat(data.dropoffLongitude), parseFloat(data.dropoffLatitude)])
            .setHTML(`<div style="background-color:#6f42c1; color:white;padding:5px;text-align:center;"><strong>Destination</strong></div>
                      <div style="color:black;padding:5px;"><strong>${data.dropoff}</strong></div>`)
            .addTo(map);
    }

    function createDriverMarkerElement(driverId) {
        const markerDiv = document.createElement('div');
        markerDiv.innerHTML = `
            <svg xmlns="http://www.w3.org/2000/svg" width="50" height="70" viewBox="0 0 50 70">
                <rect x="5" y="5" width="40" height="30" rx="5" ry="5" fill="#6f42c1"/>
                <polygon points="15,35 25,55 35,35" fill="#6f42c1"/>
                <text x="50%" y="22" font-size="16" fill="white" text-anchor="middle" font-family="Arial" dy=".3em">${driverId}</text>
            </svg>`;
        return markerDiv;
    }

    function calculateAndDisplayRoute(data, locationType) {
        const destinationLat = locationType === "pickup" ? data.pickupLatitude : data.dropoffLatitude;
        const destinationLng = locationType === "pickup" ? data.pickupLongitude : data.dropoffLongitude;

        const origin = [parseFloat(data.driverLongitude), parseFloat(data.driverLatitude)];
        const destination = [parseFloat(destinationLng), parseFloat(destinationLat)];

$.ajax({
    url: `https://api.mapbox.com/optimized-trips/v1/mapbox/driving/${origin.join(',')};${destination.join(',')}?access_token=pk.eyJ1IjoiaXRsb2dpc29sdXRpb25zIiwiYSI6ImNtMjNkZGo5czA0eHMyanM2aWN2YTY1YTAifQ.l4Fh6K-t8pMiNcQx8ngwxw`,
    method: 'GET',
    success: function(response) {
        const route = response.trips[0];
        const distanceKm = route.distance / 1000; // Distance in kilometers
        const distanceMiles = distanceKm * 0.621371; // Convert kilometers to miles
        const durationMinutes = route.duration / 60; // Duration in minutes
        
        // Convert minutes into hours and minutes
        const hours = Math.floor(durationMinutes / 60); // Calculate whole hours
        const minutes = Math.round(durationMinutes % 60); // Calculate remaining minutes

        // Display time as hours and minutes
        const timeText = hours > 0 ? `${hours} hr ${minutes} min` : `${minutes} min`;

        // Update HTML elements with converted values
        $('#pickupTime').text(timeText); // Display time in hours and minutes
        $('#distance').text(distanceMiles.toFixed(2) + " miles"); // Display distance in miles
    },
    error: function(err) {
        console.error('Error fetching route:', err);
    }
});

    }

    function updateDriverLocation() {
        $.getJSON('action/trackLocation.php', { jobId: jobId }, function(data) {
            console.log("Driver location data:", data); // Debugging log
            if (data && data.driverLatitude && data.driverLongitude) {
                const newPosition = [parseFloat(data.driverLongitude), parseFloat(data.driverLatitude)];

                if (previousPosition) {
                    const heading = turf.bearing(turf.point(previousPosition), turf.point(newPosition));
                    driverMarker.getElement().style.transform = `rotate(${heading}deg)`; // Rotate marker based on heading
                }

                previousPosition = newPosition;

                if (driverMarker) {
                    driverMarker.setLngLat(newPosition);
                    map.setCenter(newPosition);
                } else {
                    initMap(data); // Initialize map if not already done
                }

                const selectedLocation = $("input[name='locationRadio']:checked").val() || "pickup";
                calculateAndDisplayRoute(data, selectedLocation); // Update route based on selected radio button
            } else {
                console.warn("Invalid data received from server.");
            }
        }).fail(function(jqxhr, textStatus, error) {
            var err = textStatus + ", " + error;
            console.error("Request Failed:", err);
        });
    }

    // Toggle between Pickup and Dropoff Location
    $("input[name='locationRadio']").change(function() {
        updateDriverLocation();
    });

    updateDriverLocation();
    setInterval(updateDriverLocation, 10000);
});




</script>

</body>
</html>
